import { ref as q, watch as ue, openBlock as c, createElementBlock as u, createElementVNode as p, defineComponent as T, createBlock as C, Transition as Ae, withCtx as A, normalizeClass as S, resolveDynamicComponent as Y, createCommentVNode as y, toDisplayString as _, renderSlot as O, withModifiers as yt, createVNode as P, unref as h, useSlots as Ot, toRef as yr, computed as w, useAttrs as wr, toRefs as Ge, onMounted as I, normalizeStyle as we, withDirectives as ge, mergeProps as le, vModelCheckbox as Mt, Fragment as R, createTextVNode as Q, cloneVNode as Tr, h as z, inject as Z, provide as ee, watchEffect as G, onUnmounted as X, Teleport as kr, reactive as xr, shallowRef as qr, nextTick as $r, renderList as ae, createStaticVNode as _r, TransitionGroup as rt, KeepAlive as Cr, vShow as Se } from "vue";
const Er = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, Lr = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
};
function Ut(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Br = {
  aqua: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  azure: /#f0ffff(ff)?(?!\w)/gi,
  beige: /#f5f5dc(ff)?(?!\w)/gi,
  bisque: /#ffe4c4(ff)?(?!\w)/gi,
  black: /#000000(ff)?(?!\w)|#000(f)?(?!\w)/gi,
  blue: /#0000ff(ff)?(?!\w)|#00f(f)?(?!\w)/gi,
  brown: /#a52a2a(ff)?(?!\w)/gi,
  coral: /#ff7f50(ff)?(?!\w)/gi,
  cornsilk: /#fff8dc(ff)?(?!\w)/gi,
  crimson: /#dc143c(ff)?(?!\w)/gi,
  cyan: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  darkblue: /#00008b(ff)?(?!\w)/gi,
  darkcyan: /#008b8b(ff)?(?!\w)/gi,
  darkgrey: /#a9a9a9(ff)?(?!\w)/gi,
  darkred: /#8b0000(ff)?(?!\w)/gi,
  deeppink: /#ff1493(ff)?(?!\w)/gi,
  dimgrey: /#696969(ff)?(?!\w)/gi,
  gold: /#ffd700(ff)?(?!\w)/gi,
  green: /#008000(ff)?(?!\w)/gi,
  grey: /#808080(ff)?(?!\w)/gi,
  honeydew: /#f0fff0(ff)?(?!\w)/gi,
  hotpink: /#ff69b4(ff)?(?!\w)/gi,
  indigo: /#4b0082(ff)?(?!\w)/gi,
  ivory: /#fffff0(ff)?(?!\w)/gi,
  khaki: /#f0e68c(ff)?(?!\w)/gi,
  lavender: /#e6e6fa(ff)?(?!\w)/gi,
  lime: /#00ff00(ff)?(?!\w)|#0f0(f)?(?!\w)/gi,
  linen: /#faf0e6(ff)?(?!\w)/gi,
  maroon: /#800000(ff)?(?!\w)/gi,
  moccasin: /#ffe4b5(ff)?(?!\w)/gi,
  navy: /#000080(ff)?(?!\w)/gi,
  oldlace: /#fdf5e6(ff)?(?!\w)/gi,
  olive: /#808000(ff)?(?!\w)/gi,
  orange: /#ffa500(ff)?(?!\w)/gi,
  orchid: /#da70d6(ff)?(?!\w)/gi,
  peru: /#cd853f(ff)?(?!\w)/gi,
  pink: /#ffc0cb(ff)?(?!\w)/gi,
  plum: /#dda0dd(ff)?(?!\w)/gi,
  purple: /#800080(ff)?(?!\w)/gi,
  red: /#ff0000(ff)?(?!\w)|#f00(f)?(?!\w)/gi,
  salmon: /#fa8072(ff)?(?!\w)/gi,
  seagreen: /#2e8b57(ff)?(?!\w)/gi,
  seashell: /#fff5ee(ff)?(?!\w)/gi,
  sienna: /#a0522d(ff)?(?!\w)/gi,
  silver: /#c0c0c0(ff)?(?!\w)/gi,
  skyblue: /#87ceeb(ff)?(?!\w)/gi,
  snow: /#fffafa(ff)?(?!\w)/gi,
  tan: /#d2b48c(ff)?(?!\w)/gi,
  teal: /#008080(ff)?(?!\w)/gi,
  thistle: /#d8bfd8(ff)?(?!\w)/gi,
  tomato: /#ff6347(ff)?(?!\w)/gi,
  violet: /#ee82ee(ff)?(?!\w)/gi,
  wheat: /#f5deb3(ff)?(?!\w)/gi,
  white: /#ffffff(ff)?(?!\w)|#fff(f)?(?!\w)/gi
}, at = Br, wt = {
  whitespace: /\s+/g,
  urlHexPairs: /%[\dA-F]{2}/g,
  quotes: /"/g
};
function Sr(e) {
  return e.trim().replace(wt.whitespace, " ");
}
function Fr(e) {
  return encodeURIComponent(e).replace(wt.urlHexPairs, Pr);
}
function Ar(e) {
  return Object.keys(at).forEach(function(t) {
    at[t].test(e) && (e = e.replace(at[t], t));
  }), e;
}
function Pr(e) {
  switch (e) {
    case "%20":
      return " ";
    case "%3D":
      return "=";
    case "%3A":
      return ":";
    case "%2F":
      return "/";
    default:
      return e.toLowerCase();
  }
}
function dt(e) {
  if (typeof e != "string")
    throw new TypeError("Expected a string, but received " + typeof e);
  e.charCodeAt(0) === 65279 && (e = e.slice(1));
  var t = Ar(Sr(e)).replace(wt.quotes, "'");
  return "data:image/svg+xml," + Fr(t);
}
dt.toSrcset = function(t) {
  return dt(t).replace(/ /g, "%20");
};
var Dr = dt, zt = {}, It = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  function t(a, n) {
    return {
      handler: a,
      config: n
    };
  }
  t.withOptions = function(a, n = () => ({})) {
    const o = function(l) {
      return {
        __options: l,
        handler: a(l),
        config: n(l)
      };
    };
    return o.__isOptionsFunction = !0, o.__pluginFunction = a, o.__configFunction = n, o;
  };
  const r = t;
})(It);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  const t = /* @__PURE__ */ r(It);
  function r(n) {
    return n && n.__esModule ? n : {
      default: n
    };
  }
  const a = t.default;
})(zt);
let nt = zt;
var Or = (nt.__esModule ? nt : { default: nt }).default, Rt = {}, jt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(r) {
    return Array.isArray(r) ? r.map((a) => t(a)) : typeof r == "object" && r !== null ? Object.fromEntries(Object.entries(r).map(([a, n]) => [
      a,
      t(n)
    ])) : r;
  }
})(jt);
var Mr = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      busy: 'busy="true"',
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = jt, r = /* @__PURE__ */ a(Mr);
  function a(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const n = (0, t.cloneDeep)(r.default.theme);
})(Rt);
let ot = Rt;
var Ht = (ot.__esModule ? ot : { default: ot }).default;
const Et = /* @__PURE__ */ Ut(Ht);
var Nt = {}, Zt = {}, Tt = { exports: {} }, M = String, Vt = function() {
  return { isColorSupported: !1, reset: M, bold: M, dim: M, italic: M, underline: M, inverse: M, hidden: M, strikethrough: M, black: M, red: M, green: M, yellow: M, blue: M, magenta: M, cyan: M, white: M, gray: M, bgBlack: M, bgRed: M, bgGreen: M, bgYellow: M, bgBlue: M, bgMagenta: M, bgCyan: M, bgWhite: M };
};
Tt.exports = Vt();
Tt.exports.createColors = Vt;
var Ur = Tt.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(s, d) {
    for (var f in d)
      Object.defineProperty(s, f, {
        enumerable: !0,
        get: d[f]
      });
  }
  t(e, {
    dim: function() {
      return l;
    },
    default: function() {
      return i;
    }
  });
  const r = /* @__PURE__ */ a(Ur);
  function a(s) {
    return s && s.__esModule ? s : {
      default: s
    };
  }
  let n = /* @__PURE__ */ new Set();
  function o(s, d, f) {
    typeof process < "u" && process.env.JEST_WORKER_ID || f && n.has(f) || (f && n.add(f), console.warn(""), d.forEach((b) => console.warn(s, "-", b)));
  }
  function l(s) {
    return r.default.dim(s);
  }
  const i = {
    info(s, d) {
      o(r.default.bold(r.default.cyan("info")), ...Array.isArray(s) ? [
        s
      ] : [
        d,
        s
      ]);
    },
    warn(s, d) {
      o(r.default.bold(r.default.yellow("warn")), ...Array.isArray(s) ? [
        s
      ] : [
        d,
        s
      ]);
    },
    risk(s, d) {
      o(r.default.bold(r.default.magenta("risk")), ...Array.isArray(s) ? [
        s
      ] : [
        d,
        s
      ]);
    }
  };
})(Zt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = /* @__PURE__ */ r(Zt);
  function r(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  function a({ version: o, from: l, to: i }) {
    t.default.warn(`${l}-color-renamed`, [
      `As of Tailwind CSS ${o}, \`${l}\` has been renamed to \`${i}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const n = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return a({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return a({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return a({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return a({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return a({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(Nt);
let lt = Nt;
var zr = (lt.__esModule ? lt : { default: lt }).default;
const He = Dr, Ir = Or, Wt = Ht, fe = zr, [Rr, { lineHeight: jr }] = Wt.fontSize.base, { spacing: ce, borderWidth: Lt, borderRadius: Bt } = Wt;
function pe(e, t) {
  return e.replace("<alpha-value>", `var(${t}, 1)`);
}
const Hr = Ir.withOptions(function(e = { strategy: void 0 }) {
  return function({ addBase: t, addComponents: r, theme: a }) {
    const n = e.strategy === void 0 ? ["base", "class"] : [e.strategy], o = [
      {
        base: [
          "[type='text']",
          "input:where(:not([type]))",
          "[type='email']",
          "[type='url']",
          "[type='password']",
          "[type='number']",
          "[type='date']",
          "[type='datetime-local']",
          "[type='month']",
          "[type='search']",
          "[type='tel']",
          "[type='time']",
          "[type='week']",
          "[multiple]",
          "textarea",
          "select"
        ],
        class: [".form-input", ".form-textarea", ".form-select", ".form-multiselect"],
        styles: {
          appearance: "none",
          "background-color": "#fff",
          "border-color": pe(
            a("colors.gray.500", fe.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Lt.DEFAULT,
          "border-radius": Bt.none,
          "padding-top": ce[2],
          "padding-right": ce[3],
          "padding-bottom": ce[2],
          "padding-left": ce[3],
          "font-size": Rr,
          "line-height": jr,
          "--tw-shadow": "0 0 #0000",
          "&:focus": {
            outline: "2px solid transparent",
            "outline-offset": "2px",
            "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
            "--tw-ring-offset-width": "0px",
            "--tw-ring-offset-color": "#fff",
            "--tw-ring-color": pe(
              a("colors.blue.600", fe.blue[600]),
              "--tw-ring-opacity"
            ),
            "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
            "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
            "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)",
            "border-color": pe(
              a("colors.blue.600", fe.blue[600]),
              "--tw-border-opacity"
            )
          }
        }
      },
      {
        base: ["input::placeholder", "textarea::placeholder"],
        class: [".form-input::placeholder", ".form-textarea::placeholder"],
        styles: {
          color: pe(a("colors.gray.500", fe.gray[500]), "--tw-text-opacity"),
          opacity: "1"
        }
      },
      {
        base: ["::-webkit-datetime-edit-fields-wrapper"],
        class: [".form-input::-webkit-datetime-edit-fields-wrapper"],
        styles: {
          padding: "0"
        }
      },
      {
        // Unfortunate hack until https://bugs.webkit.org/show_bug.cgi?id=198959 is fixed.
        // This sucks because users can't change line-height with a utility on date inputs now.
        // Reference: https://github.com/twbs/bootstrap/pull/31993
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "min-height": "1.5em"
        }
      },
      {
        // In Safari on iOS date and time inputs are centered instead of left-aligned and can't be
        // changed with `text-align` utilities on the input by default. Resetting this to `inherit`
        // makes them left-aligned by default and makes it possible to override the alignment with
        // utility classes without using an arbitrary variant to target the pseudo-elements.
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "text-align": "inherit"
        }
      },
      {
        // In Safari on macOS date time inputs that are set to `display: block` have unexpected
        // extra bottom spacing. This can be corrected by setting the `::-webkit-datetime-edit`
        // pseudo-element to `display: inline-flex`, instead of the browser default of
        // `display: inline-block`.
        base: ["::-webkit-datetime-edit"],
        class: [".form-input::-webkit-datetime-edit"],
        styles: {
          display: "inline-flex"
        }
      },
      {
        // In Safari on macOS date time inputs are 4px taller than normal inputs
        // This is because there is extra padding on the datetime-edit and datetime-edit-{part}-field pseudo elements
        // See https://github.com/tailwindlabs/tailwindcss-forms/issues/95
        base: [
          "::-webkit-datetime-edit",
          "::-webkit-datetime-edit-year-field",
          "::-webkit-datetime-edit-month-field",
          "::-webkit-datetime-edit-day-field",
          "::-webkit-datetime-edit-hour-field",
          "::-webkit-datetime-edit-minute-field",
          "::-webkit-datetime-edit-second-field",
          "::-webkit-datetime-edit-millisecond-field",
          "::-webkit-datetime-edit-meridiem-field"
        ],
        class: [
          ".form-input::-webkit-datetime-edit",
          ".form-input::-webkit-datetime-edit-year-field",
          ".form-input::-webkit-datetime-edit-month-field",
          ".form-input::-webkit-datetime-edit-day-field",
          ".form-input::-webkit-datetime-edit-hour-field",
          ".form-input::-webkit-datetime-edit-minute-field",
          ".form-input::-webkit-datetime-edit-second-field",
          ".form-input::-webkit-datetime-edit-millisecond-field",
          ".form-input::-webkit-datetime-edit-meridiem-field"
        ],
        styles: {
          "padding-top": 0,
          "padding-bottom": 0
        }
      },
      {
        base: ["select"],
        class: [".form-select"],
        styles: {
          "background-image": `url("${He(
            `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20"><path stroke="${pe(
              a("colors.gray.500", fe.gray[500]),
              "--tw-stroke-opacity"
            )}" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 8l4 4 4-4"/></svg>`
          )}")`,
          "background-position": `right ${ce[2]} center`,
          "background-repeat": "no-repeat",
          "background-size": "1.5em 1.5em",
          "padding-right": ce[10],
          "print-color-adjust": "exact"
        }
      },
      {
        base: ["[multiple]", '[size]:where(select:not([size="1"]))'],
        class: ['.form-select:where([size]:not([size="1"]))'],
        styles: {
          "background-image": "initial",
          "background-position": "initial",
          "background-repeat": "unset",
          "background-size": "initial",
          "padding-right": ce[3],
          "print-color-adjust": "unset"
        }
      },
      {
        base: ["[type='checkbox']", "[type='radio']"],
        class: [".form-checkbox", ".form-radio"],
        styles: {
          appearance: "none",
          padding: "0",
          "print-color-adjust": "exact",
          display: "inline-block",
          "vertical-align": "middle",
          "background-origin": "border-box",
          "user-select": "none",
          "flex-shrink": "0",
          height: ce[4],
          width: ce[4],
          color: pe(a("colors.blue.600", fe.blue[600]), "--tw-text-opacity"),
          "background-color": "#fff",
          "border-color": pe(
            a("colors.gray.500", fe.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Lt.DEFAULT,
          "--tw-shadow": "0 0 #0000"
        }
      },
      {
        base: ["[type='checkbox']"],
        class: [".form-checkbox"],
        styles: {
          "border-radius": Bt.none
        }
      },
      {
        base: ["[type='radio']"],
        class: [".form-radio"],
        styles: {
          "border-radius": "100%"
        }
      },
      {
        base: ["[type='checkbox']:focus", "[type='radio']:focus"],
        class: [".form-checkbox:focus", ".form-radio:focus"],
        styles: {
          outline: "2px solid transparent",
          "outline-offset": "2px",
          "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
          "--tw-ring-offset-width": "2px",
          "--tw-ring-offset-color": "#fff",
          "--tw-ring-color": pe(
            a("colors.blue.600", fe.blue[600]),
            "--tw-ring-opacity"
          ),
          "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
          "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
          "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)"
        }
      },
      {
        base: ["[type='checkbox']:checked", "[type='radio']:checked"],
        class: [".form-checkbox:checked", ".form-radio:checked"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:checked"],
        class: [".form-checkbox:checked"],
        styles: {
          "background-image": `url("${He(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><path d="M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z"/></svg>'
          )}")`
        }
      },
      {
        base: ["[type='radio']:checked"],
        class: [".form-radio:checked"],
        styles: {
          "background-image": `url("${He(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><circle cx="8" cy="8" r="3"/></svg>'
          )}")`
        }
      },
      {
        base: [
          "[type='checkbox']:checked:hover",
          "[type='checkbox']:checked:focus",
          "[type='radio']:checked:hover",
          "[type='radio']:checked:focus"
        ],
        class: [
          ".form-checkbox:checked:hover",
          ".form-checkbox:checked:focus",
          ".form-radio:checked:hover",
          ".form-radio:checked:focus"
        ],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate"],
        class: [".form-checkbox:indeterminate"],
        styles: {
          "background-image": `url("${He(
            '<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h8"/></svg>'
          )}")`,
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate:hover", "[type='checkbox']:indeterminate:focus"],
        class: [".form-checkbox:indeterminate:hover", ".form-checkbox:indeterminate:focus"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='file']"],
        class: null,
        styles: {
          background: "unset",
          "border-color": "inherit",
          "border-width": "0",
          "border-radius": "0",
          padding: "0",
          "font-size": "unset",
          "line-height": "inherit"
        }
      },
      {
        base: ["[type='file']:focus"],
        class: null,
        styles: {
          outline: ["1px solid ButtonText", "1px auto -webkit-focus-ring-color"]
        }
      }
    ], l = (i) => o.map((s) => s[i] === null ? null : { [s[i]]: s.styles }).filter(Boolean);
    n.includes("base") && t(l("base")), n.includes("class") && r(l("class"));
  };
});
var Nr = Hr;
const Zr = /* @__PURE__ */ Ut(Nr), Ul = function({ addBase: e, addComponents: t, theme: r }) {
  for (const [a, n] of Object.entries(Er))
    e({
      ":root, :host": {
        [a]: n
      }
    });
  for (const [a, n] of Object.entries(Lr))
    e({
      '[data-context="alternative"]': {
        [a]: n
      }
    });
  Zr({
    strategy: "class"
  }).handler({ addBase: e, addComponents: t, theme: r });
}, Vr = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
}, Wr = {
  sans: ["Archivo", ...Et.fontFamily.sans],
  serif: ["IBM Plex Serif", ...Et.fontFamily.serif]
}, Gr = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, Kr = {
  4.5: "1.125rem"
}, Yr = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, Qr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Xr = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, Jr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, ea = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, ta = {
  wiggle: {
    "0%, 100%": { transform: "rotate(-3deg)" },
    "50%": { transform: "rotate(3deg)" }
  }
}, ra = {
  wiggle: "wiggle 0.3s ease-in-out infinite"
}, zl = {
  theme: {
    extend: {
      fontFamily: Wr,
      fontSize: Gr,
      lineHeight: Kr,
      colors: Vr,
      textColor: Yr,
      borderColor: Qr,
      backgroundColor: Xr,
      outlineColor: Jr,
      ringColor: ea,
      keyframes: ta,
      animation: ra
    }
  }
};
function St(e, t = 0, r = 1e3) {
  if (r <= 0.1)
    return { value: e };
  const a = q(t);
  function n(o, l) {
    const i = Date.now(), s = r, d = l - o, f = () => {
      const b = Date.now() - i, v = aa(b, o, d, s);
      b < s ? (a.value = Math.floor(v), window.requestAnimationFrame(f)) : a.value = l;
    };
    f();
  }
  return ue(
    e,
    (o) => {
      n(a.value ?? t, o);
    },
    { immediate: !0 }
  ), { value: a };
}
function aa(e, t, r, a) {
  return e /= a, -r * e * (e - 2) + t;
}
function na(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q0 32 22.5 54.5T717-680h3v23q0 23 17 40t40 17h85q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-180q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260ZM340-520q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm280 0q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm180-240h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40Z" })
  ]);
}
function oa(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-480Zm0 400q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q-35-20-75.5-31.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-32-6.5-62T776-600h86q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm320-680h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40ZM620-520q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm-280 0q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm140 260q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260Z" })
  ]);
}
function la(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m382-480 294 294q15 15 14.5 35T675-116q-15 15-35 15t-35-15L297-423q-12-12-18-27t-6-30q0-15 6-30t18-27l308-308q15-15 35.5-14.5T676-844q15 15 15 35t-15 35L382-480Z" })
  ]);
}
function ia(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M440-313v-447q0-17 11.5-28.5T480-800q17 0 28.5 11.5T520-760v447l196-196q12-12 28-11.5t28 12.5q11 12 11.5 28T772-452L508-188q-6 6-13 8.5t-15 2.5q-8 0-15-2.5t-13-8.5L188-452q-11-11-11-27.5t11-28.5q12-12 28.5-12t28.5 12l195 195Z" })
  ]);
}
function sa(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M647-440H200q-17 0-28.5-11.5T160-480q0-17 11.5-28.5T200-520h447L451-716q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l264 264q6 6 8.5 13t2.5 15q0 8-2.5 15t-8.5 13L508-188q-11 11-27.5 11T452-188q-12-12-12-28.5t12-28.5l195-195Z" })
  ]);
}
function ca(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M579-480 285-774q-15-15-14.5-35.5T286-845q15-15 35.5-15t35.5 15l307 308q12 12 18 27t6 30q0 15-6 30t-18 27L356-115q-15 15-35 14.5T286-116q-15-15-15-35.5t15-35.5l293-293Z" })
  ]);
}
function ua(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M440-647 244-451q-12 12-28 11.5T188-452q-11-12-11.5-28t11.5-28l264-264q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l264 264q11 11 11 27.5T772-452q-12 12-28.5 12T715-452L520-647v447q0 17-11.5 28.5T480-160q-17 0-28.5-11.5T440-200v-447Z" })
  ]);
}
function Gt(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m382-354 339-339q12-12 28.5-12t28.5 12q12 12 12 28.5T778-636L410-268q-12 12-28 12t-28-12L182-440q-12-12-11.5-28.5T183-497q12-12 28.5-12t28.5 12l142 143Z" })
  ]);
}
function da(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m424-408-86-86q-11-11-28-11t-28 11q-11 11-11 28t11 28l114 114q12 12 28 12t28-12l226-226q11-11 11-28t-11-28q-11-11-28-11t-28 11L424-408Zm56 328q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function Oe(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-424 284-228q-11 11-28 11t-28-11q-11-11-11-28t11-28l196-196-196-196q-11-11-11-28t11-28q11-11 28-11t28 11l196 196 196-196q11-11 28-11t28 11q11 11 11 28t-11 28L536-480l196 196q11 11 11 28t-11 28q-11 11-28 11t-28-11L480-424Z" })
  ]);
}
function fa(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-81 33.5-157.5t93-134.5Q266-830 348-860t180-18q15 2 23 12.5t9 28.5q2 64 47.5 109.5T716-680q21 1 32 12t12 34q2 42 25.5 69t65.5 41q14 5 21.5 14.5T880-486q2 83-29 157t-85 129.5Q712-144 638-112T480-80Zm0-80q122 0 216.5-84T800-458q-50-22-78.5-60T683-603q-77-11-132-66t-68-132q-80-2-140.5 29t-101 79.5Q201-644 180.5-587T160-480q0 133 93.5 226.5T480-160Zm0-324Zm-60-76q25 0 42.5-17.5T480-620q0-25-17.5-42.5T420-680q-25 0-42.5 17.5T360-620q0 25 17.5 42.5T420-560Zm-80 200q25 0 42.5-17.5T400-420q0-25-17.5-42.5T340-480q-25 0-42.5 17.5T280-420q0 25 17.5 42.5T340-360Zm260 40q17 0 28.5-11.5T640-360q0-17-11.5-28.5T600-400q-17 0-28.5 11.5T560-360q0 17 11.5 28.5T600-320Z" })
  ]);
}
function pa(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-280q17 0 28.5-11.5T520-320q0-17-11.5-28.5T480-360q-17 0-28.5 11.5T440-320q0 17 11.5 28.5T480-280Zm0-160q17 0 28.5-11.5T520-480v-160q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v160q0 17 11.5 28.5T480-440Zm0 360q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function ba(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-362q-8 0-15-2.5t-13-8.5L268-557q-11-11-11-28t11-28q11-11 28-11t28 11l156 156 156-156q11-11 28-11t28 11q11 11 11 28t-11 28L508-373q-6 6-13 8.5t-15 2.5Z" })
  ]);
}
function va(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-280q17 0 28.5-11.5T520-320v-160q0-17-11.5-28.5T480-520q-17 0-28.5 11.5T440-480v160q0 17 11.5 28.5T480-280Zm0-320q17 0 28.5-11.5T520-640q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640q0 17 11.5 28.5T480-600Zm0 520q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function ma(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m432-480 156 156q11 11 11 28t-11 28q-11 11-28 11t-28-11L348-452q-6-6-8.5-13t-2.5-15q0-8 2.5-15t8.5-13l184-184q11-11 28-11t28 11q11 11 11 28t-11 28L432-480Z" })
  ]);
}
function ga(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M240-80q-33 0-56.5-23.5T160-160v-400q0-33 23.5-56.5T240-640h40v-80q0-83 58.5-141.5T480-920q83 0 141.5 58.5T680-720v80h40q33 0 56.5 23.5T800-560v400q0 33-23.5 56.5T720-80H240Zm0-80h480v-400H240v400Zm240-120q33 0 56.5-23.5T560-360q0-33-23.5-56.5T480-440q-33 0-56.5 23.5T400-360q0 33 23.5 56.5T480-280ZM360-640h240v-80q0-50-35-85t-85-35q-50 0-85 35t-35 85v80ZM240-160v-400 400Z" })
  ]);
}
function ha(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M200-200q-17 0-28.5-11.5T160-240q0-17 11.5-28.5T200-280h40v-280q0-83 50-147.5T420-792v-28q0-25 17.5-42.5T480-880q25 0 42.5 17.5T540-820v28q80 20 130 84.5T720-560v280h40q17 0 28.5 11.5T800-240q0 17-11.5 28.5T760-200H200ZM480-80q-33 0-56.5-23.5T400-160h160q0 33-23.5 56.5T480-80Z" })
  ]);
}
function ya(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M200-120q-33 0-56.5-23.5T120-200v-560q0-33 23.5-56.5T200-840h240q17 0 28.5 11.5T480-800q0 17-11.5 28.5T440-760H200v560h560v-240q0-17 11.5-28.5T800-480q17 0 28.5 11.5T840-440v240q0 33-23.5 56.5T760-120H200Zm560-584L416-360q-11 11-28 11t-28-11q-11-11-11-28t11-28l344-344H600q-17 0-28.5-11.5T560-800q0-17 11.5-28.5T600-840h240v240q0 17-11.5 28.5T800-560q-17 0-28.5-11.5T760-600v-104Z" })
  ]);
}
function wa(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M520-496v-144q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v159q0 8 3 15.5t9 13.5l132 132q11 11 28 11t28-11q11-11 11-28t-11-28L520-496ZM480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-400Zm0 320q133 0 226.5-93.5T800-480q0-133-93.5-226.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160Z" })
  ]);
}
function Ta(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M360-440q-17 0-28.5-11.5T320-480v-247l-75 75q-11 11-27.5 11T189-652q-12-12-12-28.5t12-28.5l143-143q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l144 144q12 12 11.5 28T531-652q-12 11-28 11.5T475-652l-75-75v247q0 17-11.5 28.5T360-440ZM600-97q-8 0-15-2.5t-13-8.5L428-252q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l75 75v-247q0-17 11.5-28.5T600-520q17 0 28.5 11.5T640-480v247l75-75q11-11 27.5-11t28.5 11q12 12 12 28.5T771-251L628-108q-6 6-13 8.5T600-97Z" })
  ]);
}
function ka(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q48 0 93.5 11t87.5 32q15 8 19.5 24t-5.5 30q-10 14-26.5 18t-32.5-4q-32-15-66.5-23t-69.5-8q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-8-.5-15.5T798-511q-2-17 6.5-32.5T830-564q16-5 30 3t16 24q2 14 3 28t1 29q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm-56-328 372-373q11-11 27.5-11.5T852-781q11 11 11 28t-11 28L452-324q-12 12-28 12t-28-12L282-438q-11-11-11-28t11-28q11-11 28-11t28 11l86 86Z" })
  ]);
}
function xa(e, t) {
  return c(), u("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M109-120q-11 0-20-5.5T75-140q-5-9-5.5-19.5T75-180l370-640q6-10 15.5-15t19.5-5q10 0 19.5 5t15.5 15l370 640q6 10 5.5 20.5T885-140q-5 9-14 14.5t-20 5.5H109Zm371-120q17 0 28.5-11.5T520-280q0-17-11.5-28.5T480-320q-17 0-28.5 11.5T440-280q0 17 11.5 28.5T480-240Zm0-120q17 0 28.5-11.5T520-400v-120q0-17-11.5-28.5T480-560q-17 0-28.5 11.5T440-520v120q0 17 11.5 28.5T480-360Z" })
  ]);
}
const qa = { class: "bcc-alert-content" }, $a = {
  key: 0,
  class: "bcc-alert-title"
}, Il = /* @__PURE__ */ T({
  __name: "BccAlert",
  props: {
    context: { default: "info" },
    icon: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !1 },
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = {
      info: {
        class: "",
        icon: va
      },
      success: {
        class: "bcc-alert-success",
        icon: ka
      },
      warning: {
        class: "bcc-alert-warning",
        icon: xa
      },
      danger: {
        class: "bcc-alert-danger",
        icon: pa
      },
      neutral: {
        class: "bcc-alert-neutral",
        icon: ha
      }
    };
    return (a, n) => (c(), C(Ae, { name: "bcc-fade" }, {
      default: A(() => [
        a.open ? (c(), u("div", {
          key: 0,
          class: S(["bcc-alert", r[a.context].class])
        }, [
          a.icon ? (c(), C(Y(typeof a.icon == "boolean" ? r[a.context].icon : a.icon), {
            key: 0,
            class: "bcc-alert-icon"
          })) : y("", !0),
          p("div", qa, [
            a.title ? (c(), u("h3", $a, _(a.title), 1)) : y("", !0),
            p("p", null, [
              O(a.$slots, "default")
            ])
          ]),
          a.closeButton ? (c(), u("button", {
            key: 1,
            onClick: n[0] || (n[0] = yt((o) => t("close"), ["prevent"])),
            "aria-label": "Close alert",
            class: "bcc-alert-close-button"
          }, [
            P(h(Oe), { class: "bcc-alert-close-icon" })
          ])) : y("", !0)
        ], 2)) : y("", !0)
      ]),
      _: 3
    }));
  }
}), Rl = /* @__PURE__ */ T({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, r) => (c(), u("div", {
      class: S(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, _(t.initials.slice(0, 2)), 3));
  }
}), _a = { class: "order-2" }, Kt = /* @__PURE__ */ T({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    context: { default: "neutral" }
  },
  setup(e) {
    return (t, r) => (c(), u("div", {
      class: S(["bcc-badge", {
        "bcc-badge-sm": t.size === "sm",
        "bcc-badge-danger": t.context === "danger",
        "bcc-badge-warning": t.context === "warning",
        "bcc-badge-success": t.context === "success",
        "bcc-badge-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), C(Y(t.icon), {
        key: 0,
        class: S(["bcc-badge-icon", [t.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : y("", !0),
      p("span", _a, [
        O(t.$slots, "default")
      ])
    ], 2));
  }
}), We = /* @__PURE__ */ T({
  __name: "BccButton",
  props: {
    is: { default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    justifyContent: { type: Boolean, default: !1 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    padding: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = Ot(), a = t.icon !== void 0 && !r.default, n = {
      xs: "bcc-button-xs",
      sm: "bcc-button-sm",
      base: "",
      lg: "bcc-button-lg",
      xl: "bcc-button-xl"
    }, o = {
      primary: "bcc-button-primary",
      secondary: "bcc-button-secondary",
      tertiary: "bcc-button-tertiary"
    }, l = {
      default: "",
      danger: "bcc-button-danger"
    };
    return (i, s) => (c(), C(Y(i.is), {
      disabled: i.disabled,
      class: S(["bcc-button", [
        n[i.size],
        o[i.variant],
        l[i.context],
        {
          "bcc-button-no-padding": !i.padding,
          "bcc-button-icon-only": h(a),
          "bcc-button-rounded": i.rounded,
          "bcc-button-justify-content": i.justifyContent
        }
      ]])
    }, {
      default: A(() => [
        O(i.$slots, "default"),
        i.icon ? (c(), C(Y(i.icon), {
          key: 0,
          class: S(["bcc-button-icon", [i.iconRight ? "order-2" : "-order-1"]])
        }, null, 8, ["class"])) : y("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
}), Ca = /* @__PURE__ */ p("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor"
}, null, -1), Ea = ["stroke-dashoffset"], La = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, Ba = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, jl = /* @__PURE__ */ T({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 }
  },
  setup(e) {
    const t = e, { value: r } = St(
      yr(t, "used"),
      t.used,
      t.animationDuration
    ), a = w(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: n } = St(
      a,
      a.value,
      t.animationDuration
    ), o = Math.PI * 18 * 2;
    return (l, i) => (c(), u("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: S(["bcc-capacity-indicator", {
        "bcc-capacity-indicator-lg": l.size == "lg",
        "bcc-capacity-indicator-open": l.total == -1 || h(n) >= 0 && h(n) < 50,
        "bcc-capacity-indicator-warning": h(n) >= 50 && h(n) < 100,
        "bcc-capacity-indicator-full": h(n) >= 100
      }])
    }, [
      Ca,
      h(n) > -1 ? (c(), u("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": o,
        "stroke-dashoffset": o * ((100 - h(n)) / 100),
        stroke: "currentColor",
        transform: "rotate(-90 20 20)",
        class: "bcc-capacity-indicator-circle-used"
      }, null, 8, Ea)) : y("", !0),
      h(n) > -1 ? (c(), u("text", La, _(h(n) < 100 ? l.total - h(r) : 0), 1)) : (c(), u("path", Ba))
    ], 2));
  }
});
function Ke() {
  const e = wr(), t = w(() => {
    const r = {};
    for (const a in e)
      a !== "class" && a !== "style" && (r[a] = e[a]);
    return r;
  });
  return { attrs: e, attrsWithoutStyles: t };
}
let Sa = 0;
function Fa() {
  return ++Sa;
}
function Ye() {
  return Fa();
}
const Aa = ["disabled"], Pa = {
  inheritAttrs: !1
}, Hl = /* @__PURE__ */ T({
  ...Pa,
  __name: "BccCheckbox",
  props: {
    modelValue: { type: Boolean },
    label: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, indeterminate: n } = Ge(r), o = q(null), l = `bcc-checkbox-${Ye()}`, i = w({
      get() {
        return !!a.value;
      },
      set(b) {
        t("update:modelValue", b);
      }
    });
    I(() => {
      ue(
        n,
        (b) => {
          if (o.value) {
            const v = o.value;
            v.indeterminate = b;
          }
        },
        { immediate: !0 }
      );
    });
    const { attrs: s, attrsWithoutStyles: d } = Ke(), f = w(() => {
      const b = [];
      return r.disabled && b.push("bcc-checkbox-wrapper-disabled"), s.class && b.push(s.class), b;
    });
    return (b, v) => (c(), u("div", {
      class: S(["bcc-checkbox-wrapper", f.value]),
      style: we(b.$attrs.style)
    }, [
      ge(p("input", le({
        type: "checkbox",
        class: "bcc-checkbox",
        id: l,
        disabled: b.disabled,
        "onUpdate:modelValue": v[0] || (v[0] = (k) => i.value = k)
      }, h(d), {
        ref_key: "input",
        ref: o
      }), null, 16, Aa), [
        [Mt, i.value]
      ]),
      b.label ? (c(), u("label", {
        key: 0,
        for: l
      }, _(b.label), 1)) : y("", !0)
    ], 6));
  }
}), Da = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, Oa = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, Ma = { class: "bcc-cookie-banner" }, Ua = { class: "bcc-cookie-banner-content" }, za = { class: "bcc-cookie-banner-title" }, Ia = { class: "bcc-cookie-banner-actions" }, Nl = /* @__PURE__ */ T({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    return (r, a) => (c(), u(R, null, [
      r.showOverlay ? (c(), C(Ae, {
        key: 0,
        name: "fade"
      }, {
        default: A(() => [
          r.open ? (c(), u("div", Da)) : y("", !0)
        ]),
        _: 1
      })) : y("", !0),
      P(Ae, { name: "fade-fast" }, {
        default: A(() => [
          r.open ? (c(), u("div", Oa, [
            p("div", Ma, [
              p("div", Ua, [
                p("div", za, [
                  P(h(fa), { class: "bcc-cookie-banner-icon" }),
                  p("h4", null, _(r.title), 1)
                ]),
                p("p", null, [
                  O(r.$slots, "default")
                ])
              ]),
              p("div", Ia, [
                P(We, {
                  variant: "secondary",
                  onClick: a[0] || (a[0] = (n) => t("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: A(() => [
                    Q(_(r.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                P(We, {
                  onClick: a[1] || (a[1] = (n) => t("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: A(() => [
                    Q(_(r.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : y("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
}), Ra = ["for"], ja = {
  key: 0,
  class: "bcc-form-label-optional"
}, kt = /* @__PURE__ */ T({
  __name: "BccFormLabel",
  props: {
    size: { default: "base" },
    for: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" }
  },
  setup(e) {
    const t = e;
    return (r, a) => (c(), u("label", {
      class: S(["bcc-form-label", { "bcc-form-label-lg": r.size === "lg" }]),
      for: t.for
    }, [
      p("span", null, [
        O(r.$slots, "default")
      ]),
      r.showOptionalLabel ? (c(), u("span", ja, _(r.optionalLabel), 1)) : y("", !0)
    ], 10, Ra));
  }
}), Yt = /* @__PURE__ */ T({
  __name: "BccFormMessage",
  props: {
    state: { default: "default" }
  },
  setup(e) {
    return (t, r) => (c(), u("span", {
      class: S(["bcc-form-message", {
        "bcc-form-message-default": t.state === "default",
        "bcc-form-message-error": t.state === "error",
        "bcc-form-message-success": t.state === "success"
      }])
    }, [
      O(t.$slots, "default")
    ], 2));
  }
}), Ha = {
  key: 0,
  class: "bcc-input-icon-wrapper"
}, Na = {
  key: 1,
  class: "bcc-input-clear-button-wrapper"
}, Za = /* @__PURE__ */ p("span", {
  class: "sr-only",
  id: "bcc-input-clear-desc"
}, "Clear input", -1), Va = {
  inheritAttrs: !1
}, Zl = /* @__PURE__ */ T({
  ...Va,
  __name: "BccInput",
  props: {
    modelValue: {},
    is: { default: "input" },
    state: { default: "default" },
    size: { default: "base" },
    icon: {},
    clearable: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue", "clear"],
  setup(e, { emit: t }) {
    const r = e, { attrsWithoutStyles: a } = Ke(), n = `bcc-input-${Ye()}`, o = w(() => r.showOptionalLabel && !r.required);
    function l() {
      t("update:modelValue", ""), t("clear");
    }
    return (i, s) => (c(), u("div", {
      class: S(["bcc-input-container", i.$attrs.class]),
      style: we(i.$attrs.style)
    }, [
      i.label || o.value ? (c(), C(kt, {
        key: 0,
        for: n,
        size: i.size === "lg" ? "lg" : void 0,
        showOptionalLabel: o.value,
        optionalLabel: i.optionalLabel
      }, {
        default: A(() => [
          Q(_(i.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : y("", !0),
      p("div", {
        class: S(["bcc-input-wrapper", {
          "bcc-input-sm": i.size === "sm",
          "bcc-input-lg": i.size === "lg"
        }])
      }, [
        i.icon && i.is !== "textarea" ? (c(), u("div", Ha, [
          (c(), C(Y(i.icon), {
            class: S(["bcc-input-icon", { "bcc-input-icon-disabled": i.disabled }]),
            "aria-hidden": "true"
          }, null, 8, ["class"]))
        ])) : y("", !0),
        (c(), C(Y(i.is), le({
          id: n,
          disabled: i.disabled,
          required: i.required,
          class: ["bcc-input", {
            "bcc-input-error": i.state === "error",
            "bcc-input-success": i.state === "success",
            "bcc-input-with-icon": i.icon && i.is !== "textarea",
            "bcc-input-clearable": i.clearable && i.is !== "textarea"
          }],
          value: i.modelValue,
          onInput: s[0] || (s[0] = (d) => t("update:modelValue", d.target.value))
        }, h(a)), null, 16, ["disabled", "required", "class", "value"])),
        i.clearable && i.modelValue && i.is !== "textarea" ? (c(), u("div", Na, [
          Za,
          P(h(Oe), {
            class: "bcc-input-clear-button",
            "aria-describedby": "bcc-input-clear-desc",
            onClick: l
          })
        ])) : y("", !0)
      ], 2),
      i.$slots.default ? (c(), C(Yt, {
        key: 1,
        state: i.state
      }, {
        default: A(() => [
          O(i.$slots, "default")
        ]),
        _: 3
      }, 8, ["state"])) : y("", !0)
    ], 6));
  }
});
function W(e, t, ...r) {
  if (e in t) {
    let n = t[e];
    return typeof n == "function" ? n(...r) : n;
  }
  let a = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((n) => `"${n}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(a, W), a;
}
var _e = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))(_e || {}), be = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(be || {});
function N({ visible: e = !0, features: t = 0, ourProps: r, theirProps: a, ...n }) {
  var o;
  let l = Xt(a, r), i = Object.assign(n, { props: l });
  if (e || t & 2 && l.static)
    return it(i);
  if (t & 1) {
    let s = (o = l.unmount) == null || o ? 0 : 1;
    return W(s, { 0() {
      return null;
    }, 1() {
      return it({ ...n, props: { ...l, hidden: !0, style: { display: "none" } } });
    } });
  }
  return it(i);
}
function it({ props: e, attrs: t, slots: r, slot: a, name: n }) {
  var o, l;
  let { as: i, ...s } = xt(e, ["unmount", "static"]), d = (o = r.default) == null ? void 0 : o.call(r, a), f = {};
  if (a) {
    let b = !1, v = [];
    for (let [k, x] of Object.entries(a))
      typeof x == "boolean" && (b = !0), x === !0 && v.push(k);
    b && (f["data-headlessui-state"] = v.join(" "));
  }
  if (i === "template") {
    if (d = Qt(d ?? []), Object.keys(s).length > 0 || Object.keys(t).length > 0) {
      let [b, ...v] = d ?? [];
      if (!Wa(b) || v.length > 0)
        throw new Error(['Passing props on "template"!', "", `The current component <${n} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(s).concat(Object.keys(t)).map((m) => m.trim()).filter((m, g, E) => E.indexOf(m) === g).sort((m, g) => m.localeCompare(g)).map((m) => `  - ${m}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((m) => `  - ${m}`).join(`
`)].join(`
`));
      let k = Xt((l = b.props) != null ? l : {}, s), x = Tr(b, k);
      for (let m in k)
        m.startsWith("on") && (x.props || (x.props = {}), x.props[m] = k[m]);
      return x;
    }
    return Array.isArray(d) && d.length === 1 ? d[0] : d;
  }
  return z(i, Object.assign({}, s, f), { default: () => d });
}
function Qt(e) {
  return e.flatMap((t) => t.type === R ? Qt(t.children) : [t]);
}
function Xt(...e) {
  if (e.length === 0)
    return {};
  if (e.length === 1)
    return e[0];
  let t = {}, r = {};
  for (let a of e)
    for (let n in a)
      n.startsWith("on") && typeof a[n] == "function" ? (r[n] != null || (r[n] = []), r[n].push(a[n])) : t[n] = a[n];
  if (t.disabled || t["aria-disabled"])
    return Object.assign(t, Object.fromEntries(Object.keys(r).map((a) => [a, void 0])));
  for (let a in r)
    Object.assign(t, { [a](n, ...o) {
      let l = r[a];
      for (let i of l) {
        if (n instanceof Event && n.defaultPrevented)
          return;
        i(n, ...o);
      }
    } });
  return t;
}
function xt(e, t = []) {
  let r = Object.assign({}, e);
  for (let a of t)
    a in r && delete r[a];
  return r;
}
function Wa(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
let Ga = 0;
function Ka() {
  return ++Ga;
}
function de() {
  return Ka();
}
var J = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(J || {});
function B(e) {
  var t;
  return e == null || e.value == null ? null : (t = e.value.$el) != null ? t : e.value;
}
let Jt = Symbol("Context");
var K = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(K || {});
function Ya() {
  return qt() !== null;
}
function qt() {
  return Z(Jt, null);
}
function Qa(e) {
  ee(Jt, e);
}
function Ft(e, t) {
  if (e)
    return e;
  let r = t ?? "button";
  if (typeof r == "string" && r.toLowerCase() === "button")
    return "button";
}
function Xa(e, t) {
  let r = q(Ft(e.value.type, e.value.as));
  return I(() => {
    r.value = Ft(e.value.type, e.value.as);
  }), G(() => {
    var a;
    r.value || B(t) && B(t) instanceof HTMLButtonElement && !((a = B(t)) != null && a.hasAttribute("type")) && (r.value = "button");
  }), r;
}
var Ja = Object.defineProperty, en = (e, t, r) => t in e ? Ja(e, t, { enumerable: !0, configurable: !0, writable: !0, value: r }) : e[t] = r, At = (e, t, r) => (en(e, typeof t != "symbol" ? t + "" : t, r), r);
class tn {
  constructor() {
    At(this, "current", this.detect()), At(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}
let Me = new tn();
function Te(e) {
  if (Me.isServer)
    return null;
  if (e instanceof Node)
    return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = B(e);
    if (t)
      return t.ownerDocument;
  }
  return document;
}
let ft = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var H = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(H || {}), $e = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))($e || {}), rn = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(rn || {});
function an(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(ft)).sort((t, r) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (r.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var er = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(er || {});
function nn(e, t = 0) {
  var r;
  return e === ((r = Te(e)) == null ? void 0 : r.body) ? !1 : W(t, { 0() {
    return e.matches(ft);
  }, 1() {
    let a = e;
    for (; a !== null; ) {
      if (a.matches(ft))
        return !0;
      a = a.parentElement;
    }
    return !1;
  } });
}
var on = ((e) => (e[e.Keyboard = 0] = "Keyboard", e[e.Mouse = 1] = "Mouse", e))(on || {});
typeof window < "u" && typeof document < "u" && (document.addEventListener("keydown", (e) => {
  e.metaKey || e.altKey || e.ctrlKey || (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0), document.addEventListener("click", (e) => {
  e.detail === 1 ? delete document.documentElement.dataset.headlessuiFocusVisible : e.detail === 0 && (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0));
function ye(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let ln = ["textarea", "input"].join(",");
function sn(e) {
  var t, r;
  return (r = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, ln)) != null ? r : !1;
}
function qe(e, t = (r) => r) {
  return e.slice().sort((r, a) => {
    let n = t(r), o = t(a);
    if (n === null || o === null)
      return 0;
    let l = n.compareDocumentPosition(o);
    return l & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : l & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function oe(e, t, { sorted: r = !0, relativeTo: a = null, skipElements: n = [] } = {}) {
  var o;
  let l = (o = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? o : document, i = Array.isArray(e) ? r ? qe(e) : e : an(e);
  n.length > 0 && i.length > 1 && (i = i.filter((x) => !n.includes(x))), a = a ?? l.activeElement;
  let s = (() => {
    if (t & 5)
      return 1;
    if (t & 10)
      return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), d = (() => {
    if (t & 1)
      return 0;
    if (t & 2)
      return Math.max(0, i.indexOf(a)) - 1;
    if (t & 4)
      return Math.max(0, i.indexOf(a)) + 1;
    if (t & 8)
      return i.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), f = t & 32 ? { preventScroll: !0 } : {}, b = 0, v = i.length, k;
  do {
    if (b >= v || b + v <= 0)
      return 0;
    let x = d + b;
    if (t & 16)
      x = (x + v) % v;
    else {
      if (x < 0)
        return 3;
      if (x >= v)
        return 1;
    }
    k = i[x], k == null || k.focus(f), b += s;
  } while (k !== l.activeElement);
  return t & 6 && sn(k) && k.select(), 2;
}
function Ne(e, t, r) {
  Me.isServer || G((a) => {
    document.addEventListener(e, t, r), a(() => document.removeEventListener(e, t, r));
  });
}
function tr(e, t, r) {
  Me.isServer || G((a) => {
    window.addEventListener(e, t, r), a(() => window.removeEventListener(e, t, r));
  });
}
function cn(e, t, r = w(() => !0)) {
  function a(o, l) {
    if (!r.value || o.defaultPrevented)
      return;
    let i = l(o);
    if (i === null || !i.getRootNode().contains(i))
      return;
    let s = function d(f) {
      return typeof f == "function" ? d(f()) : Array.isArray(f) || f instanceof Set ? f : [f];
    }(e);
    for (let d of s) {
      if (d === null)
        continue;
      let f = d instanceof HTMLElement ? d : B(d);
      if (f != null && f.contains(i) || o.composed && o.composedPath().includes(f))
        return;
    }
    return !nn(i, er.Loose) && i.tabIndex !== -1 && o.preventDefault(), t(o, i);
  }
  let n = q(null);
  Ne("pointerdown", (o) => {
    var l, i;
    r.value && (n.value = ((i = (l = o.composedPath) == null ? void 0 : l.call(o)) == null ? void 0 : i[0]) || o.target);
  }, !0), Ne("mousedown", (o) => {
    var l, i;
    r.value && (n.value = ((i = (l = o.composedPath) == null ? void 0 : l.call(o)) == null ? void 0 : i[0]) || o.target);
  }, !0), Ne("click", (o) => {
    n.value && (a(o, () => n.value), n.value = null);
  }, !0), Ne("touchend", (o) => a(o, () => o.target instanceof HTMLElement ? o.target : null), !0), tr("blur", (o) => a(o, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
var Pe = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(Pe || {});
let De = T({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: r }) {
  return () => {
    let { features: a, ...n } = e, o = { "aria-hidden": (a & 2) === 2 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(a & 4) === 4 && (a & 2) !== 2 && { display: "none" } } };
    return N({ ourProps: o, theirProps: n, slot: {}, attrs: r, slots: t, name: "Hidden" });
  };
} });
function un() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function Qe(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function Ue() {
  let e = [], t = { addEventListener(r, a, n, o) {
    return r.addEventListener(a, n, o), t.add(() => r.removeEventListener(a, n, o));
  }, requestAnimationFrame(...r) {
    let a = requestAnimationFrame(...r);
    t.add(() => cancelAnimationFrame(a));
  }, nextFrame(...r) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...r);
    });
  }, setTimeout(...r) {
    let a = setTimeout(...r);
    t.add(() => clearTimeout(a));
  }, microTask(...r) {
    let a = { current: !0 };
    return Qe(() => {
      a.current && r[0]();
    }), t.add(() => {
      a.current = !1;
    });
  }, style(r, a, n) {
    let o = r.style.getPropertyValue(a);
    return Object.assign(r.style, { [a]: n }), this.add(() => {
      Object.assign(r.style, { [a]: o });
    });
  }, group(r) {
    let a = Ue();
    return r(a), this.add(() => a.dispose());
  }, add(r) {
    return e.push(r), () => {
      let a = e.indexOf(r);
      if (a >= 0)
        for (let n of e.splice(a, 1))
          n();
    };
  }, dispose() {
    for (let r of e.splice(0))
      r();
  } };
  return t;
}
var Fe = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(Fe || {});
function dn() {
  let e = q(0);
  return tr("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function rr(e, t, r, a) {
  Me.isServer || G((n) => {
    e = e ?? window, e.addEventListener(t, r, a), n(() => e.removeEventListener(t, r, a));
  });
}
function fn(e) {
  function t() {
    document.readyState !== "loading" && (e(), document.removeEventListener("DOMContentLoaded", t));
  }
  typeof window < "u" && typeof document < "u" && (document.addEventListener("DOMContentLoaded", t), t());
}
function ar(e) {
  if (!e)
    return /* @__PURE__ */ new Set();
  if (typeof e == "function")
    return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let r of e.value) {
    let a = B(r);
    a instanceof HTMLElement && t.add(a);
  }
  return t;
}
var nr = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(nr || {});
let Le = Object.assign(T({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: q(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = q(null);
  a({ el: n, $el: n });
  let o = w(() => Te(n)), l = q(!1);
  I(() => l.value = !0), X(() => l.value = !1), bn({ ownerDocument: o }, w(() => l.value && !!(e.features & 16)));
  let i = vn({ ownerDocument: o, container: n, initialFocus: w(() => e.initialFocus) }, w(() => l.value && !!(e.features & 2)));
  mn({ ownerDocument: o, container: n, containers: e.containers, previousActiveElement: i }, w(() => l.value && !!(e.features & 8)));
  let s = dn();
  function d(k) {
    let x = B(n);
    x && ((m) => m())(() => {
      W(s.value, { [Fe.Forwards]: () => {
        oe(x, H.First, { skipElements: [k.relatedTarget] });
      }, [Fe.Backwards]: () => {
        oe(x, H.Last, { skipElements: [k.relatedTarget] });
      } });
    });
  }
  let f = q(!1);
  function b(k) {
    k.key === "Tab" && (f.value = !0, requestAnimationFrame(() => {
      f.value = !1;
    }));
  }
  function v(k) {
    if (!l.value)
      return;
    let x = ar(e.containers);
    B(n) instanceof HTMLElement && x.add(B(n));
    let m = k.relatedTarget;
    m instanceof HTMLElement && m.dataset.headlessuiFocusGuard !== "true" && (or(x, m) || (f.value ? oe(B(n), W(s.value, { [Fe.Forwards]: () => H.Next, [Fe.Backwards]: () => H.Previous }) | H.WrapAround, { relativeTo: k.target }) : k.target instanceof HTMLElement && ye(k.target)));
  }
  return () => {
    let k = {}, x = { ref: n, onKeydown: b, onFocusout: v }, { features: m, initialFocus: g, containers: E, ...$ } = e;
    return z(R, [!!(m & 4) && z(De, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: d, features: Pe.Focusable }), N({ ourProps: x, theirProps: { ...t, ...$ }, slot: k, attrs: t, slots: r, name: "FocusTrap" }), !!(m & 4) && z(De, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: d, features: Pe.Focusable })]);
  };
} }), { features: nr }), me = [];
fn(() => {
  function e(t) {
    t.target instanceof HTMLElement && t.target !== document.body && me[0] !== t.target && (me.unshift(t.target), me = me.filter((r) => r != null && r.isConnected), me.splice(10));
  }
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
});
function pn(e) {
  let t = q(me.slice());
  return ue([e], ([r], [a]) => {
    a === !0 && r === !1 ? Qe(() => {
      t.value.splice(0);
    }) : a === !1 && r === !0 && (t.value = me.slice());
  }, { flush: "post" }), () => {
    var r;
    return (r = t.value.find((a) => a != null && a.isConnected)) != null ? r : null;
  };
}
function bn({ ownerDocument: e }, t) {
  let r = pn(t);
  I(() => {
    G(() => {
      var a, n;
      t.value || ((a = e.value) == null ? void 0 : a.activeElement) === ((n = e.value) == null ? void 0 : n.body) && ye(r());
    }, { flush: "post" });
  }), X(() => {
    t.value && ye(r());
  });
}
function vn({ ownerDocument: e, container: t, initialFocus: r }, a) {
  let n = q(null), o = q(!1);
  return I(() => o.value = !0), X(() => o.value = !1), I(() => {
    ue([t, r, a], (l, i) => {
      if (l.every((d, f) => (i == null ? void 0 : i[f]) === d) || !a.value)
        return;
      let s = B(t);
      s && Qe(() => {
        var d, f;
        if (!o.value)
          return;
        let b = B(r), v = (d = e.value) == null ? void 0 : d.activeElement;
        if (b) {
          if (b === v) {
            n.value = v;
            return;
          }
        } else if (s.contains(v)) {
          n.value = v;
          return;
        }
        b ? ye(b) : oe(s, H.First | H.NoScroll) === $e.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), n.value = (f = e.value) == null ? void 0 : f.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), n;
}
function mn({ ownerDocument: e, container: t, containers: r, previousActiveElement: a }, n) {
  var o;
  rr((o = e.value) == null ? void 0 : o.defaultView, "focus", (l) => {
    if (!n.value)
      return;
    let i = ar(r);
    B(t) instanceof HTMLElement && i.add(B(t));
    let s = a.value;
    if (!s)
      return;
    let d = l.target;
    d && d instanceof HTMLElement ? or(i, d) ? (a.value = d, ye(d)) : (l.preventDefault(), l.stopPropagation(), ye(s)) : ye(a.value);
  }, !0);
}
function or(e, t) {
  for (let r of e)
    if (r.contains(t))
      return !0;
  return !1;
}
let st = /* @__PURE__ */ new Map(), Be = /* @__PURE__ */ new Map();
function Pt(e, t = q(!0)) {
  G((r) => {
    var a;
    if (!t.value)
      return;
    let n = B(e);
    if (!n)
      return;
    r(function() {
      var l;
      if (!n)
        return;
      let i = (l = Be.get(n)) != null ? l : 1;
      if (i === 1 ? Be.delete(n) : Be.set(n, i - 1), i !== 1)
        return;
      let s = st.get(n);
      s && (s["aria-hidden"] === null ? n.removeAttribute("aria-hidden") : n.setAttribute("aria-hidden", s["aria-hidden"]), n.inert = s.inert, st.delete(n));
    });
    let o = (a = Be.get(n)) != null ? a : 0;
    Be.set(n, o + 1), o === 0 && (st.set(n, { "aria-hidden": n.getAttribute("aria-hidden"), inert: n.inert }), n.setAttribute("aria-hidden", "true"), n.inert = !0);
  });
}
let lr = Symbol("ForcePortalRootContext");
function gn() {
  return Z(lr, !1);
}
let pt = T({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: r }) {
  return ee(lr, e.force), () => {
    let { force: a, ...n } = e;
    return N({ theirProps: n, ourProps: {}, slot: {}, slots: t, attrs: r, name: "ForcePortalRoot" });
  };
} });
function hn(e) {
  let t = Te(e);
  if (!t) {
    if (e === null)
      return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let r = t.getElementById("headlessui-portal-root");
  if (r)
    return r;
  let a = t.createElement("div");
  return a.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(a);
}
let ir = T({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = q(null), n = w(() => Te(a)), o = gn(), l = Z(sr, null), i = q(o === !0 || l == null ? hn(a.value) : l.resolveTarget());
  G(() => {
    o || l != null && (i.value = l.resolveTarget());
  });
  let s = Z(bt, null);
  return I(() => {
    let d = B(a);
    d && s && X(s.register(d));
  }), X(() => {
    var d, f;
    let b = (d = n.value) == null ? void 0 : d.getElementById("headlessui-portal-root");
    b && i.value === b && i.value.children.length <= 0 && ((f = i.value.parentElement) == null || f.removeChild(i.value));
  }), () => {
    if (i.value === null)
      return null;
    let d = { ref: a, "data-headlessui-portal": "" };
    return z(kr, { to: i.value }, N({ ourProps: d, theirProps: e, slot: {}, attrs: r, slots: t, name: "Portal" }));
  };
} }), bt = Symbol("PortalParentContext");
function yn() {
  let e = Z(bt, null), t = q([]);
  function r(o) {
    return t.value.push(o), e && e.register(o), () => a(o);
  }
  function a(o) {
    let l = t.value.indexOf(o);
    l !== -1 && t.value.splice(l, 1), e && e.unregister(o);
  }
  let n = { register: r, unregister: a, portals: t };
  return [t, T({ name: "PortalWrapper", setup(o, { slots: l }) {
    return ee(bt, n), () => {
      var i;
      return (i = l.default) == null ? void 0 : i.call(l);
    };
  } })];
}
let sr = Symbol("PortalGroupContext"), wn = T({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: r }) {
  let a = xr({ resolveTarget() {
    return e.target;
  } });
  return ee(sr, a), () => {
    let { target: n, ...o } = e;
    return N({ theirProps: o, ourProps: {}, slot: {}, attrs: t, slots: r, name: "PortalGroup" });
  };
} }), cr = Symbol("StackContext");
var vt = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(vt || {});
function Tn() {
  return Z(cr, () => {
  });
}
function kn({ type: e, enabled: t, element: r, onUpdate: a }) {
  let n = Tn();
  function o(...l) {
    a == null || a(...l), n(...l);
  }
  I(() => {
    ue(t, (l, i) => {
      l ? o(0, e, r) : i === !0 && o(1, e, r);
    }, { immediate: !0, flush: "sync" });
  }), X(() => {
    t.value && o(1, e, r);
  }), ee(cr, o);
}
let ur = Symbol("DescriptionContext");
function xn() {
  let e = Z(ur, null);
  if (e === null)
    throw new Error("Missing parent");
  return e;
}
function qn({ slot: e = q({}), name: t = "Description", props: r = {} } = {}) {
  let a = q([]);
  function n(o) {
    return a.value.push(o), () => {
      let l = a.value.indexOf(o);
      l !== -1 && a.value.splice(l, 1);
    };
  }
  return ee(ur, { register: n, slot: e, name: t, props: r }), w(() => a.value.length > 0 ? a.value.join(" ") : void 0);
}
T({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: () => `headlessui-description-${de()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = xn();
  return I(() => X(a.register(e.id))), () => {
    let { name: n = "Description", slot: o = q({}), props: l = {} } = a, { id: i, ...s } = e, d = { ...Object.entries(l).reduce((f, [b, v]) => Object.assign(f, { [b]: h(v) }), {}), id: i };
    return N({ ourProps: d, theirProps: s, slot: o.value, attrs: t, slots: r, name: n });
  };
} });
function $n(e) {
  let t = qr(e.getSnapshot());
  return X(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function _n(e, t) {
  let r = e(), a = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return r;
  }, subscribe(n) {
    return a.add(n), () => a.delete(n);
  }, dispatch(n, ...o) {
    let l = t[n].call(r, ...o);
    l && (r = l, a.forEach((i) => i()));
  } };
}
function Cn() {
  let e;
  return { before({ doc: t }) {
    var r;
    let a = t.documentElement;
    e = ((r = t.defaultView) != null ? r : window).innerWidth - a.clientWidth;
  }, after({ doc: t, d: r }) {
    let a = t.documentElement, n = a.clientWidth - a.offsetWidth, o = e - n;
    r.style(a, "paddingRight", `${o}px`);
  } };
}
function En() {
  if (!un())
    return {};
  let e;
  return { before() {
    e = window.pageYOffset;
  }, after({ doc: t, d: r, meta: a }) {
    function n(l) {
      return a.containers.flatMap((i) => i()).some((i) => i.contains(l));
    }
    if (window.getComputedStyle(t.documentElement).scrollBehavior !== "auto") {
      let l = Ue();
      l.style(t.documentElement, "scroll-behavior", "auto"), r.add(() => r.microTask(() => l.dispose()));
    }
    r.style(t.body, "marginTop", `-${e}px`), window.scrollTo(0, 0);
    let o = null;
    r.addEventListener(t, "click", (l) => {
      if (l.target instanceof HTMLElement)
        try {
          let i = l.target.closest("a");
          if (!i)
            return;
          let { hash: s } = new URL(i.href), d = t.querySelector(s);
          d && !n(d) && (o = d);
        } catch {
        }
    }, !0), r.addEventListener(t, "touchmove", (l) => {
      l.target instanceof HTMLElement && !n(l.target) && l.preventDefault();
    }, { passive: !1 }), r.add(() => {
      window.scrollTo(0, window.pageYOffset + e), o && o.isConnected && (o.scrollIntoView({ block: "nearest" }), o = null);
    });
  } };
}
function Ln() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function Bn(e) {
  let t = {};
  for (let r of e)
    Object.assign(t, r(t));
  return t;
}
let he = _n(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var r;
  let a = (r = this.get(e)) != null ? r : { doc: e, count: 0, d: Ue(), meta: /* @__PURE__ */ new Set() };
  return a.count++, a.meta.add(t), this.set(e, a), this;
}, POP(e, t) {
  let r = this.get(e);
  return r && (r.count--, r.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: r }) {
  let a = { doc: e, d: t, meta: Bn(r) }, n = [En(), Cn(), Ln()];
  n.forEach(({ before: o }) => o == null ? void 0 : o(a)), n.forEach(({ after: o }) => o == null ? void 0 : o(a));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
he.subscribe(() => {
  let e = he.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [r] of e)
    t.set(r, r.documentElement.style.overflow);
  for (let r of e.values()) {
    let a = t.get(r.doc) === "hidden", n = r.count !== 0;
    (n && !a || !n && a) && he.dispatch(r.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", r), r.count === 0 && he.dispatch("TEARDOWN", r);
  }
});
function Sn(e, t, r) {
  let a = $n(he), n = w(() => {
    let o = e.value ? a.value.get(e.value) : void 0;
    return o ? o.count > 0 : !1;
  });
  return ue([e, t], ([o, l], [i], s) => {
    if (!o || !l)
      return;
    he.dispatch("PUSH", o, r);
    let d = !1;
    s(() => {
      d || (he.dispatch("POP", i ?? o, r), d = !0);
    });
  }, { immediate: !0 }), n;
}
function Fn({ defaultContainers: e = [], portals: t, mainTreeNodeRef: r } = {}) {
  let a = q(null), n = Te(a);
  function o() {
    var l;
    let i = [];
    for (let s of e)
      s !== null && (s instanceof HTMLElement ? i.push(s) : "value" in s && s.value instanceof HTMLElement && i.push(s.value));
    if (t != null && t.value)
      for (let s of t.value)
        i.push(s);
    for (let s of (l = n == null ? void 0 : n.querySelectorAll("html > *, body > *")) != null ? l : [])
      s !== document.body && s !== document.head && s instanceof HTMLElement && s.id !== "headlessui-portal-root" && (s.contains(B(a)) || i.some((d) => s.contains(d)) || i.push(s));
    return i;
  }
  return { resolveContainers: o, contains(l) {
    return o().some((i) => i.contains(l));
  }, mainTreeNodeRef: a, MainTreeNode() {
    return r != null ? null : z(De, { features: Pe.Hidden, ref: a });
  } };
}
var An = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(An || {});
let mt = Symbol("DialogContext");
function ze(e) {
  let t = Z(mt, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, ze), r;
  }
  return t;
}
let Ze = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", Pn = T({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: Ze }, initialFocus: { type: Object, default: null }, id: { type: String, default: () => `headlessui-dialog-${de()}` } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  var o;
  let l = q(!1);
  I(() => {
    l.value = !0;
  });
  let i = q(0), s = qt(), d = w(() => e.open === Ze && s !== null ? (s.value & K.Open) === K.Open : e.open), f = q(null), b = w(() => Te(f));
  if (n({ el: f, $el: f }), !(e.open !== Ze || s !== null))
    throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof d.value != "boolean")
    throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${d.value === Ze ? void 0 : e.open}`);
  let v = w(() => l.value && d.value ? 0 : 1), k = w(() => v.value === 0), x = w(() => i.value > 1), m = Z(mt, null) !== null, [g, E] = yn(), { resolveContainers: $, mainTreeNodeRef: F, MainTreeNode: L } = Fn({ portals: g, defaultContainers: [w(() => {
    var D;
    return (D = V.panelRef.value) != null ? D : f.value;
  })] }), U = w(() => x.value ? "parent" : "leaf"), ne = w(() => s !== null ? (s.value & K.Closing) === K.Closing : !1), Ce = w(() => m || ne.value ? !1 : k.value), Re = w(() => {
    var D, j, te;
    return (te = Array.from((j = (D = b.value) == null ? void 0 : D.querySelectorAll("body > *")) != null ? j : []).find((re) => re.id === "headlessui-portal-root" ? !1 : re.contains(B(F)) && re instanceof HTMLElement)) != null ? te : null;
  });
  Pt(Re, Ce);
  let Je = w(() => x.value ? !0 : k.value), et = w(() => {
    var D, j, te;
    return (te = Array.from((j = (D = b.value) == null ? void 0 : D.querySelectorAll("[data-headlessui-portal]")) != null ? j : []).find((re) => re.contains(B(F)) && re instanceof HTMLElement)) != null ? te : null;
  });
  Pt(et, Je), kn({ type: "Dialog", enabled: w(() => v.value === 0), element: f, onUpdate: (D, j) => {
    if (j === "Dialog")
      return W(D, { [vt.Add]: () => i.value += 1, [vt.Remove]: () => i.value -= 1 });
  } });
  let tt = qn({ name: "DialogDescription", slot: w(() => ({ open: d.value })) }), ke = q(null), V = { titleId: ke, panelRef: q(null), dialogState: v, setTitleId(D) {
    ke.value !== D && (ke.value = D);
  }, close() {
    t("close", !1);
  } };
  ee(mt, V);
  let Ee = w(() => !(!k.value || x.value));
  cn($, (D, j) => {
    V.close(), $r(() => j == null ? void 0 : j.focus());
  }, Ee);
  let ie = w(() => !(x.value || v.value !== 0));
  rr((o = b.value) == null ? void 0 : o.defaultView, "keydown", (D) => {
    ie.value && (D.defaultPrevented || D.key === J.Escape && (D.preventDefault(), D.stopPropagation(), V.close()));
  });
  let xe = w(() => !(ne.value || v.value !== 0 || m));
  return Sn(b, xe, (D) => {
    var j;
    return { containers: [...(j = D.containers) != null ? j : [], $] };
  }), G((D) => {
    if (v.value !== 0)
      return;
    let j = B(f);
    if (!j)
      return;
    let te = new ResizeObserver((re) => {
      for (let je of re) {
        let se = je.target.getBoundingClientRect();
        se.x === 0 && se.y === 0 && se.width === 0 && se.height === 0 && V.close();
      }
    });
    te.observe(j), D(() => te.disconnect());
  }), () => {
    let { id: D, open: j, initialFocus: te, ...re } = e, je = { ...r, ref: f, id: D, role: "dialog", "aria-modal": v.value === 0 ? !0 : void 0, "aria-labelledby": ke.value, "aria-describedby": tt.value }, se = { open: v.value === 0 };
    return z(pt, { force: !0 }, () => [z(ir, () => z(wn, { target: f.value }, () => z(pt, { force: !1 }, () => z(Le, { initialFocus: te, containers: $, features: k.value ? W(U.value, { parent: Le.features.RestoreFocus, leaf: Le.features.All & ~Le.features.FocusLock }) : Le.features.None }, () => z(E, {}, () => N({ ourProps: je, theirProps: { ...re, ...r }, slot: se, attrs: r, slots: a, visible: v.value === 0, features: _e.RenderStrategy | _e.Static, name: "Dialog" })))))), z(L)]);
  };
} });
T({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-overlay-${de()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = ze("DialogOverlay");
  function n(o) {
    o.target === o.currentTarget && (o.preventDefault(), o.stopPropagation(), a.close());
  }
  return () => {
    let { id: o, ...l } = e;
    return N({ ourProps: { id: o, "aria-hidden": !0, onClick: n }, theirProps: l, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogOverlay" });
  };
} });
T({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-backdrop-${de()}` } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = ze("DialogBackdrop"), o = q(null);
  return a({ el: o, $el: o }), I(() => {
    if (n.panelRef.value === null)
      throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { id: l, ...i } = e, s = { id: l, ref: o, "aria-hidden": !0 };
    return z(pt, { force: !0 }, () => z(ir, () => N({ ourProps: s, theirProps: { ...t, ...i }, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogBackdrop" })));
  };
} });
let Dn = T({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-panel-${de()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = ze("DialogPanel");
  a({ el: n.panelRef, $el: n.panelRef });
  function o(l) {
    l.stopPropagation();
  }
  return () => {
    let { id: l, ...i } = e, s = { id: l, ref: n.panelRef, onClick: o };
    return N({ ourProps: s, theirProps: i, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogPanel" });
  };
} }), On = T({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: () => `headlessui-dialog-title-${de()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = ze("DialogTitle");
  return I(() => {
    a.setTitleId(e.id), X(() => a.setTitleId(null));
  }), () => {
    let { id: n, ...o } = e;
    return N({ ourProps: { id: n }, theirProps: o, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogTitle" });
  };
} }), Mn = T({ props: { onFocus: { type: Function, required: !0 } }, setup(e) {
  let t = q(!0);
  return () => t.value ? z(De, { as: "button", type: "button", features: Pe.Focusable, onFocus(r) {
    r.preventDefault();
    let a, n = 50;
    function o() {
      var l;
      if (n-- <= 0) {
        a && cancelAnimationFrame(a);
        return;
      }
      if ((l = e.onFocus) != null && l.call(e)) {
        t.value = !1, cancelAnimationFrame(a);
        return;
      }
      a = requestAnimationFrame(o);
    }
    a = requestAnimationFrame(o);
  } }) : null;
} });
var Un = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(Un || {}), zn = ((e) => (e[e.Less = -1] = "Less", e[e.Equal = 0] = "Equal", e[e.Greater = 1] = "Greater", e))(zn || {});
let dr = Symbol("TabsContext");
function Ie(e) {
  let t = Z(dr, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <TabGroup /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, Ie), r;
  }
  return t;
}
let $t = Symbol("TabsSSRContext"), In = T({ name: "TabGroup", emits: { change: (e) => !0 }, props: { as: { type: [Object, String], default: "template" }, selectedIndex: { type: [Number], default: null }, defaultIndex: { type: [Number], default: 0 }, vertical: { type: [Boolean], default: !1 }, manual: { type: [Boolean], default: !1 } }, inheritAttrs: !1, setup(e, { slots: t, attrs: r, emit: a }) {
  var n;
  let o = q((n = e.selectedIndex) != null ? n : e.defaultIndex), l = q([]), i = q([]), s = w(() => e.selectedIndex !== null), d = w(() => s.value ? e.selectedIndex : o.value);
  function f(m) {
    var g;
    let E = qe(b.tabs.value, B), $ = qe(b.panels.value, B), F = E.filter((L) => {
      var U;
      return !((U = B(L)) != null && U.hasAttribute("disabled"));
    });
    if (m < 0 || m > E.length - 1) {
      let L = W(o.value === null ? 0 : Math.sign(m - o.value), { [-1]: () => 1, 0: () => W(Math.sign(m), { [-1]: () => 0, 0: () => 0, 1: () => 1 }), 1: () => 0 }), U = W(L, { 0: () => E.indexOf(F[0]), 1: () => E.indexOf(F[F.length - 1]) });
      U !== -1 && (o.value = U), b.tabs.value = E, b.panels.value = $;
    } else {
      let L = E.slice(0, m), U = [...E.slice(m), ...L].find((Ce) => F.includes(Ce));
      if (!U)
        return;
      let ne = (g = E.indexOf(U)) != null ? g : b.selectedIndex.value;
      ne === -1 && (ne = b.selectedIndex.value), o.value = ne, b.tabs.value = E, b.panels.value = $;
    }
  }
  let b = { selectedIndex: w(() => {
    var m, g;
    return (g = (m = o.value) != null ? m : e.defaultIndex) != null ? g : null;
  }), orientation: w(() => e.vertical ? "vertical" : "horizontal"), activation: w(() => e.manual ? "manual" : "auto"), tabs: l, panels: i, setSelectedIndex(m) {
    d.value !== m && a("change", m), s.value || f(m);
  }, registerTab(m) {
    var g;
    if (l.value.includes(m))
      return;
    let E = l.value[o.value];
    l.value.push(m), l.value = qe(l.value, B);
    let $ = (g = l.value.indexOf(E)) != null ? g : o.value;
    $ !== -1 && (o.value = $);
  }, unregisterTab(m) {
    let g = l.value.indexOf(m);
    g !== -1 && l.value.splice(g, 1);
  }, registerPanel(m) {
    i.value.includes(m) || (i.value.push(m), i.value = qe(i.value, B));
  }, unregisterPanel(m) {
    let g = i.value.indexOf(m);
    g !== -1 && i.value.splice(g, 1);
  } };
  ee(dr, b);
  let v = q({ tabs: [], panels: [] }), k = q(!1);
  I(() => {
    k.value = !0;
  }), ee($t, w(() => k.value ? null : v.value));
  let x = w(() => e.selectedIndex);
  return I(() => {
    ue([x], () => {
      var m;
      return f((m = e.selectedIndex) != null ? m : e.defaultIndex);
    }, { immediate: !0 });
  }), G(() => {
    if (!s.value || d.value == null || b.tabs.value.length <= 0)
      return;
    let m = qe(b.tabs.value, B);
    m.some((g, E) => B(b.tabs.value[E]) !== B(g)) && b.setSelectedIndex(m.findIndex((g) => B(g) === B(b.tabs.value[d.value])));
  }), () => {
    let m = { selectedIndex: o.value };
    return z(R, [l.value.length <= 0 && z(Mn, { onFocus: () => {
      for (let g of l.value) {
        let E = B(g);
        if ((E == null ? void 0 : E.tabIndex) === 0)
          return E.focus(), !0;
      }
      return !1;
    } }), N({ theirProps: { ...r, ...xt(e, ["selectedIndex", "defaultIndex", "manual", "vertical", "onChange"]) }, ourProps: {}, slot: m, slots: t, attrs: r, name: "TabGroup" })]);
  };
} }), Rn = T({ name: "TabList", props: { as: { type: [Object, String], default: "div" } }, setup(e, { attrs: t, slots: r }) {
  let a = Ie("TabList");
  return () => {
    let n = { selectedIndex: a.selectedIndex.value }, o = { role: "tablist", "aria-orientation": a.orientation.value };
    return N({ ourProps: o, theirProps: e, slot: n, attrs: t, slots: r, name: "TabList" });
  };
} }), jn = T({ name: "Tab", props: { as: { type: [Object, String], default: "button" }, disabled: { type: [Boolean], default: !1 }, id: { type: String, default: () => `headlessui-tabs-tab-${de()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = Ie("Tab"), o = q(null);
  a({ el: o, $el: o }), I(() => n.registerTab(o)), X(() => n.unregisterTab(o));
  let l = Z($t), i = w(() => {
    if (l.value) {
      let g = l.value.tabs.indexOf(e.id);
      return g === -1 ? l.value.tabs.push(e.id) - 1 : g;
    }
    return -1;
  }), s = w(() => {
    let g = n.tabs.value.indexOf(o);
    return g === -1 ? i.value : g;
  }), d = w(() => s.value === n.selectedIndex.value);
  function f(g) {
    var E;
    let $ = g();
    if ($ === $e.Success && n.activation.value === "auto") {
      let F = (E = Te(o)) == null ? void 0 : E.activeElement, L = n.tabs.value.findIndex((U) => B(U) === F);
      L !== -1 && n.setSelectedIndex(L);
    }
    return $;
  }
  function b(g) {
    let E = n.tabs.value.map(($) => B($)).filter(Boolean);
    if (g.key === J.Space || g.key === J.Enter) {
      g.preventDefault(), g.stopPropagation(), n.setSelectedIndex(s.value);
      return;
    }
    switch (g.key) {
      case J.Home:
      case J.PageUp:
        return g.preventDefault(), g.stopPropagation(), f(() => oe(E, H.First));
      case J.End:
      case J.PageDown:
        return g.preventDefault(), g.stopPropagation(), f(() => oe(E, H.Last));
    }
    if (f(() => W(n.orientation.value, { vertical() {
      return g.key === J.ArrowUp ? oe(E, H.Previous | H.WrapAround) : g.key === J.ArrowDown ? oe(E, H.Next | H.WrapAround) : $e.Error;
    }, horizontal() {
      return g.key === J.ArrowLeft ? oe(E, H.Previous | H.WrapAround) : g.key === J.ArrowRight ? oe(E, H.Next | H.WrapAround) : $e.Error;
    } })) === $e.Success)
      return g.preventDefault();
  }
  let v = q(!1);
  function k() {
    var g;
    v.value || (v.value = !0, !e.disabled && ((g = B(o)) == null || g.focus({ preventScroll: !0 }), n.setSelectedIndex(s.value), Qe(() => {
      v.value = !1;
    })));
  }
  function x(g) {
    g.preventDefault();
  }
  let m = Xa(w(() => ({ as: e.as, type: t.type })), o);
  return () => {
    var g;
    let E = { selected: d.value }, { id: $, ...F } = e, L = { ref: o, onKeydown: b, onMousedown: x, onClick: k, id: $, role: "tab", type: m.value, "aria-controls": (g = B(n.panels.value[s.value])) == null ? void 0 : g.id, "aria-selected": d.value, tabIndex: d.value ? 0 : -1, disabled: e.disabled ? !0 : void 0 };
    return N({ ourProps: L, theirProps: F, slot: E, attrs: t, slots: r, name: "Tab" });
  };
} }), Hn = T({ name: "TabPanels", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = Ie("TabPanels");
  return () => {
    let n = { selectedIndex: a.selectedIndex.value };
    return N({ theirProps: e, ourProps: {}, slot: n, attrs: r, slots: t, name: "TabPanels" });
  };
} }), Nn = T({ name: "TabPanel", props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, id: { type: String, default: () => `headlessui-tabs-panel-${de()}` }, tabIndex: { type: Number, default: 0 } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = Ie("TabPanel"), o = q(null);
  a({ el: o, $el: o }), I(() => n.registerPanel(o)), X(() => n.unregisterPanel(o));
  let l = Z($t), i = w(() => {
    if (l.value) {
      let f = l.value.panels.indexOf(e.id);
      return f === -1 ? l.value.panels.push(e.id) - 1 : f;
    }
    return -1;
  }), s = w(() => {
    let f = n.panels.value.indexOf(o);
    return f === -1 ? i.value : f;
  }), d = w(() => s.value === n.selectedIndex.value);
  return () => {
    var f;
    let b = { selected: d.value }, { id: v, tabIndex: k, ...x } = e, m = { ref: o, id: v, role: "tabpanel", "aria-labelledby": (f = B(n.tabs.value[s.value])) == null ? void 0 : f.id, tabIndex: d.value ? k : -1 };
    return !d.value && e.unmount && !e.static ? z(De, { as: "span", ...m }) : N({ ourProps: m, theirProps: x, slot: b, attrs: t, slots: r, features: _e.Static | _e.RenderStrategy, visible: d.value, name: "TabPanel" });
  };
} });
function Zn(e) {
  let t = { called: !1 };
  return (...r) => {
    if (!t.called)
      return t.called = !0, e(...r);
  };
}
function ct(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function Ve(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var gt = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(gt || {});
function Vn(e, t) {
  let r = Ue();
  if (!e)
    return r.dispose;
  let { transitionDuration: a, transitionDelay: n } = getComputedStyle(e), [o, l] = [a, n].map((i) => {
    let [s = 0] = i.split(",").filter(Boolean).map((d) => d.includes("ms") ? parseFloat(d) : parseFloat(d) * 1e3).sort((d, f) => f - d);
    return s;
  });
  return o !== 0 ? r.setTimeout(() => t("finished"), o + l) : t("finished"), r.add(() => t("cancelled")), r.dispose;
}
function Dt(e, t, r, a, n, o) {
  let l = Ue(), i = o !== void 0 ? Zn(o) : () => {
  };
  return Ve(e, ...n), ct(e, ...t, ...r), l.nextFrame(() => {
    Ve(e, ...r), ct(e, ...a), l.add(Vn(e, (s) => (Ve(e, ...a, ...t), ct(e, ...n), i(s))));
  }), l.add(() => Ve(e, ...t, ...r, ...a, ...n)), l.add(() => i("cancelled")), l.dispose;
}
function ve(e = "") {
  return e.split(" ").filter((t) => t.trim().length > 1);
}
let _t = Symbol("TransitionContext");
var Wn = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(Wn || {});
function Gn() {
  return Z(_t, null) !== null;
}
function Kn() {
  let e = Z(_t, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function Yn() {
  let e = Z(Ct, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let Ct = Symbol("NestingContext");
function Xe(e) {
  return "children" in e ? Xe(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function fr(e) {
  let t = q([]), r = q(!1);
  I(() => r.value = !0), X(() => r.value = !1);
  function a(o, l = be.Hidden) {
    let i = t.value.findIndex(({ id: s }) => s === o);
    i !== -1 && (W(l, { [be.Unmount]() {
      t.value.splice(i, 1);
    }, [be.Hidden]() {
      t.value[i].state = "hidden";
    } }), !Xe(t) && r.value && (e == null || e()));
  }
  function n(o) {
    let l = t.value.find(({ id: i }) => i === o);
    return l ? l.state !== "visible" && (l.state = "visible") : t.value.push({ id: o, state: "visible" }), () => a(o, be.Unmount);
  }
  return { children: t, register: n, unregister: a };
}
let pr = _e.RenderStrategy, ht = T({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  let o = q(0);
  function l() {
    o.value |= K.Opening, t("beforeEnter");
  }
  function i() {
    o.value &= ~K.Opening, t("afterEnter");
  }
  function s() {
    o.value |= K.Closing, t("beforeLeave");
  }
  function d() {
    o.value &= ~K.Closing, t("afterLeave");
  }
  if (!Gn() && Ya())
    return () => z(br, { ...e, onBeforeEnter: l, onAfterEnter: i, onBeforeLeave: s, onAfterLeave: d }, a);
  let f = q(null), b = w(() => e.unmount ? be.Unmount : be.Hidden);
  n({ el: f, $el: f });
  let { show: v, appear: k } = Kn(), { register: x, unregister: m } = Yn(), g = q(v.value ? "visible" : "hidden"), E = { value: !0 }, $ = de(), F = { value: !1 }, L = fr(() => {
    !F.value && g.value !== "hidden" && (g.value = "hidden", m($), d());
  });
  I(() => {
    let V = x($);
    X(V);
  }), G(() => {
    if (b.value === be.Hidden && $) {
      if (v.value && g.value !== "visible") {
        g.value = "visible";
        return;
      }
      W(g.value, { hidden: () => m($), visible: () => x($) });
    }
  });
  let U = ve(e.enter), ne = ve(e.enterFrom), Ce = ve(e.enterTo), Re = ve(e.entered), Je = ve(e.leave), et = ve(e.leaveFrom), tt = ve(e.leaveTo);
  I(() => {
    G(() => {
      if (g.value === "visible") {
        let V = B(f);
        if (V instanceof Comment && V.data === "")
          throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function ke(V) {
    let Ee = E.value && !k.value, ie = B(f);
    !ie || !(ie instanceof HTMLElement) || Ee || (F.value = !0, v.value && l(), v.value || s(), V(v.value ? Dt(ie, U, ne, Ce, Re, (xe) => {
      F.value = !1, xe === gt.Finished && i();
    }) : Dt(ie, Je, et, tt, Re, (xe) => {
      F.value = !1, xe === gt.Finished && (Xe(L) || (g.value = "hidden", m($), d()));
    })));
  }
  return I(() => {
    ue([v], (V, Ee, ie) => {
      ke(ie), E.value = !1;
    }, { immediate: !0 });
  }), ee(Ct, L), Qa(w(() => W(g.value, { visible: K.Open, hidden: K.Closed }) | o.value)), () => {
    let { appear: V, show: Ee, enter: ie, enterFrom: xe, enterTo: D, entered: j, leave: te, leaveFrom: re, leaveTo: je, ...se } = e, gr = { ref: f }, hr = { ...se, ...k.value && v.value && Me.isServer ? { class: S([r.class, se.class, ...U, ...ne]) } : {} };
    return N({ theirProps: hr, ourProps: gr, slot: {}, slots: a, attrs: r, features: pr, visible: g.value === "visible", name: "TransitionChild" });
  };
} }), Qn = ht, br = T({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a }) {
  let n = qt(), o = w(() => e.show === null && n !== null ? (n.value & K.Open) === K.Open : e.show);
  G(() => {
    if (![!0, !1].includes(o.value))
      throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let l = q(o.value ? "visible" : "hidden"), i = fr(() => {
    l.value = "hidden";
  }), s = q(!0), d = { show: o, appear: w(() => e.appear || !s.value) };
  return I(() => {
    G(() => {
      s.value = !1, o.value ? l.value = "visible" : Xe(i) || (l.value = "hidden");
    });
  }), ee(Ct, i), ee(_t, d), () => {
    let f = xt(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), b = { unmount: e.unmount };
    return N({ ourProps: { ...b, as: "template" }, theirProps: {}, slot: {}, slots: { ...a, default: () => [z(Qn, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...r, ...b, ...f }, a.default)] }, attrs: {}, features: pr, visible: l.value === "visible", name: "Transition" });
  };
} });
const Xn = { class: "flex h-[100dvh] w-[100dvw] items-center justify-center overflow-hidden" }, Jn = /* @__PURE__ */ p("div", { class: "bcc-modal-overlay" }, null, -1), eo = { class: "bcc-modal-wrapper" }, to = {
  key: 0,
  class: "bcc-modal-header"
}, ro = {
  key: 1,
  class: "bcc-modal-body"
}, ao = {
  key: 0,
  class: "bcc-modal-title"
}, no = { class: "bcc-modal-content" }, oo = { class: "bcc-modal-footer" }, lo = {
  key: 0,
  class: "bcc-modal-footer-content"
}, io = { class: "bcc-modal-actions" }, so = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, co = { class: "bcc-modal-primary-action" }, Vl = /* @__PURE__ */ T({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = Ot(), n = w(() => r.closeButton && !a.header);
    return (o, l) => (c(), C(h(br), {
      as: "template",
      show: o.open
    }, {
      default: A(() => [
        P(h(Pn), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: l[2] || (l[2] = (i) => t("close"))
        }, {
          default: A(() => [
            p("div", Xn, [
              P(h(ht), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: A(() => [
                  Jn
                ]),
                _: 1
              }),
              P(h(ht), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: A(() => [
                  p("div", eo, [
                    P(h(Dn), le({ class: "bcc-modal" }, o.$attrs), {
                      default: A(() => [
                        o.$slots.header ? (c(), u("div", to, [
                          O(o.$slots, "header")
                        ])) : y("", !0),
                        o.title || n.value || h(a).default ? (c(), u("div", ro, [
                          o.title || n.value ? (c(), u("div", ao, [
                            P(h(On), { as: "h3" }, {
                              default: A(() => [
                                Q(_(o.title), 1)
                              ]),
                              _: 1
                            }),
                            n.value ? (c(), u("button", {
                              key: 0,
                              onClick: l[0] || (l[0] = yt((i) => t("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              P(h(Oe), { class: "bcc-modal-close-icon" })
                            ])) : y("", !0)
                          ])) : y("", !0),
                          p("div", no, [
                            O(o.$slots, "default")
                          ])
                        ])) : y("", !0),
                        p("div", oo, [
                          o.$slots.footer ? (c(), u("div", lo, [
                            O(o.$slots, "footer")
                          ])) : y("", !0),
                          p("div", io, [
                            o.$slots.secondaryAction ? (c(), u("div", so, [
                              O(o.$slots, "secondaryAction")
                            ])) : y("", !0),
                            p("div", co, [
                              O(o.$slots, "primaryAction", {}, () => [
                                P(We, {
                                  onClick: l[1] || (l[1] = (i) => t("close"))
                                }, {
                                  default: A(() => [
                                    Q(" OK ")
                                  ]),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), uo = { key: 1 }, vr = /* @__PURE__ */ T({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    text: {}
  },
  setup(e) {
    return (t, r) => (c(), u("div", {
      class: S(["bcc-pin", {
        "bcc-pin-text": !t.icon,
        "bcc-pin-danger": t.context === "danger",
        "bcc-pin-warning": t.context === "warning",
        "bcc-pin-success": t.context === "success",
        "bcc-pin-info": t.context === "info"
      }])
    }, [
      t.icon ? (c(), C(Y(t.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : t.text ? (c(), u("span", uo, _(t.text), 1)) : y("", !0)
    ], 2));
  }
}), fo = ["disabled", "value", "checked"], po = {
  inheritAttrs: !1
}, Wl = /* @__PURE__ */ T({
  ...po,
  __name: "BccRadio",
  props: {
    modelValue: {},
    value: {},
    label: {},
    disabled: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-radio-${Ye()}`, { attrs: n, attrsWithoutStyles: o } = Ke(), l = w(() => {
      const i = [];
      return r.disabled && i.push("bcc-radio-wrapper-disabled"), n.class && i.push(n.class), i;
    });
    return (i, s) => (c(), u("div", {
      class: S(["bcc-radio-wrapper", l.value]),
      style: we(i.$attrs.style)
    }, [
      p("input", le({
        type: "radio",
        class: "bcc-radio",
        id: a,
        disabled: i.disabled,
        value: i.value,
        checked: i.modelValue == i.value,
        onInput: s[0] || (s[0] = (d) => t("update:modelValue", i.value))
      }, h(o)), null, 16, fo),
      i.label ? (c(), u("label", {
        key: 0,
        for: a
      }, _(i.label), 1)) : y("", !0)
    ], 6));
  }
}), bo = ["value", "disabled", "required"], vo = {
  inheritAttrs: !1
}, mo = /* @__PURE__ */ T({
  ...vo,
  __name: "BccSelect",
  props: {
    modelValue: {},
    state: { default: "default" },
    size: { default: "base" },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-input-${Ye()}`, n = w(() => r.showOptionalLabel && !r.required), { attrsWithoutStyles: o } = Ke();
    return (l, i) => (c(), u("div", {
      class: S(["bcc-input-container", l.$attrs.class]),
      style: we(l.$attrs.style)
    }, [
      l.label || n.value ? (c(), C(kt, {
        key: 0,
        for: a,
        size: l.size === "lg" ? "lg" : void 0,
        showOptionalLabel: n.value,
        optionalLabel: l.optionalLabel
      }, {
        default: A(() => [
          Q(_(l.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : y("", !0),
      p("select", le({
        class: ["bcc-select", {
          "bcc-select-error": l.state === "error",
          "bcc-select-success": l.state === "success",
          "bcc-select-sm": l.size === "sm",
          "bcc-select-lg": l.size === "lg"
        }],
        id: a,
        value: l.modelValue,
        disabled: l.disabled,
        required: l.required,
        onInput: i[0] || (i[0] = (s) => t("update:modelValue", s.target.value))
      }, h(o)), [
        O(l.$slots, "default")
      ], 16, bo),
      l.$slots.message ? (c(), C(Yt, {
        key: 1,
        state: l.state
      }, {
        default: A(() => [
          O(l.$slots, "message")
        ]),
        _: 3
      }, 8, ["state"])) : y("", !0)
    ], 6));
  }
}), Gl = /* @__PURE__ */ T({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, r) => (c(), u("div", {
      class: S(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (c(), C(Y(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (c(), C(h(wa), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (c(), C(h(Gt), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (c(), C(h(ga), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : y("", !0)
    ], 2));
  }
}), go = { class: "bcc-table-wrapper" }, ho = { class: "bcc-table" }, yo = { class: "bcc-table-header-row" }, wo = ["onClick"], To = { class: "bcc-table-header-content" }, ko = {
  key: 0,
  "aria-label": "Sort column",
  class: "bcc-table-header-sort"
}, xo = { key: 1 }, Kl = /* @__PURE__ */ T({
  __name: "BccTable",
  props: {
    columns: {},
    items: {},
    sortBy: {},
    sortDirection: { default: "descending" }
  },
  emits: ["update:sortBy", "update:sortDirection"],
  setup(e, { emit: t }) {
    const r = e, { columns: a, items: n, sortBy: o, sortDirection: l } = Ge(r);
    function i(f, b) {
      return b.split(".").reduce((k, x) => k[x], f);
    }
    const s = w(() => {
      if ((o == null ? void 0 : o.value) == null)
        return n.value;
      const f = a.value.find((v) => v.key == o.value);
      if (!f)
        throw "Sorting by unknown column";
      const b = [...n.value];
      return f.sortMethod ? b.sort(f.sortMethod) : b.sort((v, k) => {
        const x = i(v, f.key), m = i(k, f.key);
        return x < m ? l.value == "descending" ? 1 : -1 : x > m ? l.value == "descending" ? -1 : 1 : 0;
      });
    });
    function d(f) {
      if (f.sortable !== !1) {
        if ((o == null ? void 0 : o.value) == f.key && l.value === "descending") {
          t("update:sortDirection", "descending"), t("update:sortBy", void 0);
          return;
        }
        if ((o == null ? void 0 : o.value) == f.key) {
          t("update:sortDirection", "descending");
          return;
        }
        t("update:sortDirection", "ascending"), t("update:sortBy", f.key);
      }
    }
    return (f, b) => (c(), u("div", go, [
      p("table", ho, [
        p("thead", null, [
          p("tr", yo, [
            (c(!0), u(R, null, ae(h(a), (v) => (c(), u("th", {
              scope: "col",
              class: S(["bcc-table-header", { "bcc-table-header-sortable": v.sortable !== !1 }]),
              key: v.key,
              onClick: (k) => d(v)
            }, [
              p("div", To, [
                Q(_(v.text) + " ", 1),
                v.sortable !== !1 ? (c(), u("button", ko, [
                  h(o) !== v.key ? (c(), C(h(Ta), {
                    key: 0,
                    class: "bcc-table-header-sort-icon bcc-table-header-sort-icon-undetermined"
                  })) : y("", !0),
                  h(o) == v.key && h(l) == "ascending" ? (c(), C(h(ua), {
                    key: 1,
                    class: "bcc-table-header-sort-icon"
                  })) : y("", !0),
                  h(o) == v.key && h(l) == "descending" ? (c(), C(h(ia), {
                    key: 2,
                    class: "bcc-table-header-sort-icon"
                  })) : y("", !0)
                ])) : y("", !0)
              ])
            ], 10, wo))), 128))
          ])
        ]),
        p("tbody", null, [
          (c(!0), u(R, null, ae(s.value, (v, k) => (c(), u("tr", { key: k }, [
            (c(!0), u(R, null, ae(h(a), (x) => (c(), u("td", {
              class: "bcc-table-cell",
              key: x.key
            }, [
              f.$slots[`item.${x.key}`] ? O(f.$slots, `item.${x.key}`, {
                key: 0,
                item: v
              }) : (c(), u("span", xo, _(i(v, x.key)), 1))
            ]))), 128))
          ]))), 128))
        ])
      ])
    ]));
  }
}), qo = {
  key: 0,
  class: "bcc-tabs-bar-icon"
}, Yl = /* @__PURE__ */ T({
  __name: "BccTabs",
  props: {
    tabs: {},
    size: { default: "base" },
    fill: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = {
      sm: "bcc-tabs-sm text-label-sm",
      base: "text-label",
      lg: "bcc-tabs-lg text-label-lg"
    };
    return (r, a) => (c(), C(h(In), {
      as: "div",
      class: S(["bcc-tabs", { "bcc-tabs-fill": r.fill }])
    }, {
      default: A(() => [
        P(h(Rn), {
          as: "div",
          class: S(["bcc-tabs-bar", `bcc-tabs-bar--${r.tabs.length}`])
        }, {
          default: A(() => [
            (c(!0), u(R, null, ae(r.tabs, (n, o) => (c(), C(h(jn), {
              disabled: !!n.disabled,
              key: o,
              as: "template"
            }, {
              default: A(({ selected: l }) => [
                p("div", {
                  class: S(["bcc-tabs-bar-item", [
                    {
                      "bcc-tabs-bar-item--active": l,
                      "bcc-tabs-bar-item--disabled": !!n.disabled
                    },
                    t[r.size]
                  ]])
                }, [
                  n.icon ? (c(), u("div", qo, [
                    (c(), C(Y(n.icon)))
                  ])) : y("", !0),
                  Q(" " + _(n.title) + " ", 1),
                  n.pin ? (c(), C(h(vr), le({
                    key: 1,
                    class: "bcc-tabs-item-right"
                  }, n.pin), null, 16)) : y("", !0),
                  n.badge ? (c(), C(h(Kt), le({
                    key: 2,
                    class: "bcc-tabs-item-right"
                  }, n.badge), {
                    default: A(() => [
                      Q(_(n.badge.text), 1)
                    ]),
                    _: 2
                  }, 1040)) : y("", !0)
                ], 2)
              ]),
              _: 2
            }, 1032, ["disabled"]))), 128))
          ]),
          _: 1
        }, 8, ["class"]),
        P(h(Hn), { class: "bcc-tabs-panels" }, {
          default: A(() => [
            (c(!0), u(R, null, ae(r.tabs, (n, o) => (c(), C(h(Nn), {
              key: `tab-${o + 1}`,
              class: "bcc-tabs-panel"
            }, {
              default: A(() => [
                O(r.$slots, `tab-${o + 1}`, { tab: n }, () => [
                  n.as ? (c(), C(Y(n.as), { key: 0 })) : y("", !0)
                ])
              ]),
              _: 2
            }, 1024))), 128))
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["class"]));
  }
}), $o = (e, t) => {
  const r = e.__vccOpts || e;
  for (const [a, n] of t)
    r[a] = n;
  return r;
}, _o = {}, Co = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, Eo = /* @__PURE__ */ _r('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), Lo = [
  Eo
];
function Bo(e, t) {
  return c(), u("svg", Co, Lo);
}
const So = /* @__PURE__ */ $o(_o, [["render", Bo]]), Fo = ["disabled"], Ao = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, Po = {
  key: 0,
  class: "bcc-toggle-label"
}, Ql = /* @__PURE__ */ T({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, wasToggled: n, disabled: o, loading: l } = Ge(r), i = w({
      get() {
        return !!a.value;
      },
      set(s) {
        t("update:modelValue", s);
      }
    });
    return (s, d) => (c(), u("label", {
      class: S(["bcc-toggle", { "bcc-toggle-was-toggled": h(n) }])
    }, [
      ge(p("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: h(l) || h(o),
        "onUpdate:modelValue": d[0] || (d[0] = (f) => i.value = f)
      }, null, 8, Fo), [
        [Mt, i.value]
      ]),
      p("span", Ao, [
        h(l) ? (c(), C(So, {
          key: 0,
          class: "h-3 w-3"
        })) : s.withIcon ? (c(), u(R, { key: 1 }, [
          P(h(Gt), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          P(h(Oe), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : y("", !0)
      ]),
      s.label ? (c(), u("span", Po, _(s.label), 1)) : y("", !0)
    ], 2));
  }
}), Do = {
  key: 0,
  class: "bcc-banner"
}, Oo = { class: "bcc-banner-header" }, Mo = { class: "bcc-banner-title" }, Uo = {
  key: 0,
  class: "bcc-banner-actions"
}, Xl = /* @__PURE__ */ T({
  __name: "BccBanner",
  props: {
    title: {},
    variant: { default: "default" },
    icon: {},
    closeButton: { type: Boolean, default: !0 },
    closeOnAction: { type: Boolean, default: !0 },
    actions: {},
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = {
      default: "bcc-banner-default",
      notification: "bcc-banner-notification"
    };
    function n(o) {
      o.onClick && o.onClick(), r.closeOnAction && t("close", o);
    }
    return (o, l) => (c(), C(Ae, { name: "bcc-close" }, {
      default: A(() => [
        o.open ? (c(), u("div", Do, [
          p("div", Oo, [
            o.icon ? (c(), C(Y(o.icon), {
              key: 0,
              class: "bcc-banner-icon"
            })) : y("", !0),
            p("h5", Mo, _(o.title), 1),
            o.closeButton ? (c(), u("button", {
              key: 1,
              onClick: l[0] || (l[0] = yt((i) => t("close"), ["prevent"])),
              "aria-label": "Close banner",
              class: "bcc-banner-close-button"
            }, [
              P(h(Oe), { class: "bcc-banner-close-icon" })
            ])) : y("", !0)
          ]),
          p("div", {
            class: S(a[o.variant])
          }, [
            O(o.$slots, "default"),
            o.actions && o.actions.length ? (c(), u("div", Uo, [
              (c(!0), u(R, null, ae(o.actions, (i, s) => (c(), C(We, {
                key: s,
                icon: i.icon,
                "icon-right": "",
                size: "sm",
                variant: o.variant === "notification" ? "tertiary" : "secondary",
                onClick: (d) => n(i)
              }, {
                default: A(() => [
                  Q(_(i.label), 1)
                ]),
                _: 2
              }, 1032, ["icon", "variant", "onClick"]))), 128))
            ])) : y("", !0)
          ], 2)
        ])) : y("", !0)
      ]),
      _: 3
    }));
  }
}), zo = /* @__PURE__ */ p("path", {
  d: "M100 50C100 77.6142 77.6142 100 50 100C22.3858 100 0 77.6142 0 50C0 22.3858 22.3858 0 50 0C77.6142 0 100 22.3858 100 50ZM9.08144 50C9.08144 72.5987 27.4013 90.9186 50 90.9186C72.5987 90.9186 90.9186 72.5987 90.9186 50C90.9186 27.4013 72.5987 9.08144 50 9.08144C27.4013 9.08144 9.08144 27.4013 9.08144 50Z",
  fill: "currentColor",
  class: "bcc-spinner-circle"
}, null, -1), Io = /* @__PURE__ */ p("path", {
  d: "M93.9676 38.4501C96.393 37.813 97.8624 35.3208 97.0079 32.9631C95.2932 28.2319 92.871 23.7784 89.8167 19.7572C85.8452 14.5284 80.8826 10.133 75.2124 6.82206C69.5422 3.51112 63.2754 1.34943 56.7698 0.460415C51.7666 -0.223279 46.6976 -0.143977 41.7345 0.687907C39.2613 1.10246 37.813 3.60696 38.4501 6.03244C39.0873 8.45792 41.5694 9.8809 44.0505 9.51628C47.8511 8.95773 51.7191 8.93607 55.5402 9.45823C60.8642 10.1858 65.9928 11.9548 70.6331 14.6644C75.2735 17.374 79.3347 20.971 82.5849 25.2501C84.9175 28.3212 86.7997 31.7005 88.1811 35.285C89.083 37.625 91.5421 39.0873 93.9676 38.4501Z",
  fill: "currentColor",
  class: "bcc-spinner-progress"
}, null, -1), Jl = /* @__PURE__ */ T({
  __name: "BccSpinner",
  props: {
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      xs: "bcc-spinner-xs",
      sm: "bcc-spinner-sm",
      base: "bcc-spinner-base",
      lg: "bcc-spinner-lg",
      xl: "bcc-spinner-xl"
    };
    return (r, a) => (c(), u("svg", {
      class: S([[t[r.size]], "bcc-spinner"]),
      xmlns: "http://www.w3.org/2000/svg",
      width: "100",
      height: "100",
      viewBox: "0 0 100 100",
      fill: "none"
    }, [
      Q(" > "),
      zo,
      Io
    ], 2));
  }
}), Ro = { class: "bcc-progress-container" }, jo = { key: 0 }, Ho = { class: "bcc-progress" }, e0 = /* @__PURE__ */ T({
  __name: "BccProgress",
  props: {
    value: { default: 0 },
    max: { default: 100 },
    size: { default: "base" },
    showValues: { type: Boolean, default: !0 },
    showPercentage: { type: Boolean, default: !0 },
    overflow: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = w(() => t.value > t.max && !t.overflow ? 100 : t.value / t.max * 100), a = w(() => t.value > t.max ? 100 : r.value);
    return (n, o) => (c(), u("div", Ro, [
      n.showPercentage || n.showValues ? (c(), C(kt, {
        key: 0,
        size: n.size,
        showOptionalLabel: n.showPercentage,
        optionalLabel: Math.round(r.value) + "%"
      }, {
        default: A(() => [
          n.showValues ? (c(), u("span", jo, _(t.value.toLocaleString()) + " / " + _(t.max.toLocaleString()), 1)) : y("", !0)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : y("", !0),
      p("div", Ho, [
        p("div", {
          class: "bcc-progress-bar",
          style: we({ width: a.value + "%" })
        }, null, 4)
      ])
    ]));
  }
}), No = {
  key: 0,
  class: "mx-1 text-xs"
}, Zo = /* @__PURE__ */ T({
  __name: "BccReactEmoji",
  props: {
    id: {},
    emoji: {},
    count: {},
    selected: { type: Boolean }
  },
  setup(e) {
    const t = e, r = q(!1);
    return ue(
      () => t.count,
      () => {
        r.value = !0, setTimeout(() => {
          r.value = !1;
        }, 1e3);
      }
    ), (a, n) => (c(), u("button", {
      class: S(["bcc-react-emoji-list-item", {
        "bcc-react-emoji-list-item--selected": a.selected,
        "animate-wiggle": r.value
      }])
    }, [
      p("span", null, _(a.emoji), 1),
      a.count && a.count > 1 ? (c(), u("span", No, _(a.count), 1)) : y("", !0)
    ], 2));
  }
}), Vo = { class: "bcc-react" }, Wo = { class: "bcc-react-list" }, Go = {
  key: 1,
  class: "bcc-react-empty"
}, Ko = ["onClick"], t0 = /* @__PURE__ */ T({
  __name: "BccReact",
  props: {
    emojis: {},
    top: { type: Boolean, default: !1 },
    placeholder: { default: "Be the first to react 😉" }
  },
  emits: ["toggle"],
  setup(e, { emit: t }) {
    const r = e, a = w(() => {
      const l = r.emojis.filter((i) => i.count && i.count > 0);
      return l.sort((i, s) => s.count - i.count), l;
    }), n = q(!1);
    function o(l) {
      t("toggle", l.id), setTimeout(() => {
        n.value = !1;
      }, 250);
    }
    return (l, i) => (c(), u("div", Vo, [
      P(rt, { name: "bcc-fade" }, {
        default: A(() => [
          n.value || l.emojis.some((s) => !s.selected) ? (c(), u("button", {
            key: "toggle",
            onClick: i[0] || (i[0] = (s) => n.value = !n.value),
            class: S(["bcc-react-toggle", [l.top ? "rounded-b-full" : "rounded-t-full"]])
          }, [
            n.value ? (c(), C(h(na), {
              key: 0,
              class: "w-6"
            })) : (c(), C(h(oa), {
              key: 1,
              class: "w-6"
            }))
          ], 2)) : y("", !0),
          p("div", Wo, [
            a.value.length > 0 ? (c(), C(rt, {
              key: 0,
              name: "bcc-explode",
              appear: ""
            }, {
              default: A(() => [
                (c(!0), u(R, null, ae(a.value, (s) => (c(), C(Cr, {
                  key: s.id
                }, [
                  P(Zo, le({
                    onClick: (d) => o(s)
                  }, s), null, 16, ["onClick"])
                ], 1024))), 128))
              ]),
              _: 1
            })) : l.placeholder ? (c(), u("p", Go, [
              P(h(ma), { class: "mr-1 w-4" }),
              Q(" " + _(l.placeholder), 1)
            ])) : y("", !0)
          ])
        ]),
        _: 1
      }),
      P(Ae, { name: "bcc-scale-fast" }, {
        default: A(() => [
          n.value ? (c(), u("div", {
            key: "list",
            class: S(["bcc-react-selector", { "bcc-react-selector--top": l.top }])
          }, [
            P(rt, { name: "bcc-explode" }, {
              default: A(() => [
                (c(!0), u(R, null, ae(l.emojis, (s) => (c(), u(R, {
                  key: s.id
                }, [
                  s.selected ? y("", !0) : (c(), u("button", {
                    key: 0,
                    onClick: (d) => o(s),
                    class: "bcc-react-selector-item"
                  }, _(s.emoji), 9, Ko))
                ], 64))), 128))
              ]),
              _: 1
            })
          ], 2)) : y("", !0)
        ]),
        _: 1
      })
    ]));
  }
}), Yo = ["src"], Qo = ["src"], Xo = { class: "bcc-graphic-poster-logo bcc-graphic-poster-logo--loading" }, mr = {
  ultraWide: "42.85%",
  // 21:9
  wide: "56.25%",
  // 16:9
  landscape: "75%",
  // 4:3
  square: "100%",
  // 1:1
  portrait: "133.33%"
  // 3:4
}, ut = {
  none: "",
  sm: "rounded-sm",
  base: "rounded",
  md: "rounded-md",
  xl: "rounded-xl"
}, Jo = /* @__PURE__ */ T({
  __name: "BccGraphicPoster",
  props: {
    bannerSrc: {},
    logoSrc: {},
    rounding: { default: "xl" },
    ratio: { default: "wide" }
  },
  setup(e) {
    const t = q(!1), r = q(!1);
    return (a, n) => (c(), u("div", {
      class: S(["bcc-graphic-poster", ut[a.rounding]]),
      style: we(`padding-bottom: ${mr[a.ratio]}`)
    }, [
      a.bannerSrc ? (c(), u(R, { key: 0 }, [
        ge(p("img", {
          onLoad: n[0] || (n[0] = (o) => t.value = !0),
          src: a.bannerSrc,
          defer: "",
          class: S(["bcc-graphic-poster-banner", ut[a.rounding]])
        }, null, 42, Yo), [
          [Se, t.value]
        ]),
        ge(p("div", {
          class: S(["bcc-graphic-poster-banner bcc-graphic-poster-banner--loading", ut[a.rounding]])
        }, null, 2), [
          [Se, !t.value]
        ])
      ], 64)) : y("", !0),
      a.logoSrc ? (c(), u(R, { key: 1 }, [
        ge(p("img", {
          onLoad: n[1] || (n[1] = (o) => r.value = !0),
          src: a.logoSrc,
          defer: "",
          class: "bcc-graphic-poster-logo"
        }, null, 40, Qo), [
          [Se, r.value]
        ]),
        ge(p("div", Xo, null, 512), [
          [Se, !r.value]
        ])
      ], 64)) : y("", !0)
    ], 6));
  }
}), el = {
  key: 0,
  class: "bcc-graphic-open-in"
}, r0 = /* @__PURE__ */ T({
  __name: "BccGraphic",
  props: {
    bannerSrc: {},
    logoSrc: {},
    checked: { type: Boolean, default: !1 },
    linkOut: { type: Boolean, default: !1 },
    ratio: { default: "wide" },
    rounding: { default: "xl" }
  },
  setup(e) {
    return (t, r) => (c(), u("div", {
      class: "bcc-graphic",
      style: we(`padding-bottom: ${h(mr)[t.ratio]}`)
    }, [
      t.linkOut ? (c(), u("div", el, [
        P(h(ya), { class: "bcc-graphic-open-in-icon" })
      ])) : y("", !0),
      t.checked ? (c(), C(h(da), {
        key: 1,
        class: "bcc-graphic-check-icon"
      })) : y("", !0),
      P(Jo, {
        class: "absolute",
        bannerSrc: t.bannerSrc,
        logoSrc: t.logoSrc,
        ratio: t.ratio,
        rounding: t.rounding
      }, null, 8, ["bannerSrc", "logoSrc", "ratio", "rounding"])
    ], 4));
  }
}), tl = {
  key: 0,
  class: "bcc-header-overline"
}, rl = { class: "bcc-header-title-wrapper" }, al = { class: "bcc-header-title" }, nl = {
  key: 1,
  class: "bcc-header-underline"
}, a0 = /* @__PURE__ */ T({
  __name: "BccHeader",
  props: {
    title: {},
    overline: {},
    underline: {}
  },
  setup(e) {
    return (t, r) => (c(), u("div", null, [
      t.overline ? (c(), u("p", tl, _(t.overline), 1)) : y("", !0),
      p("div", rl, [
        p("h2", al, _(t.title), 1),
        O(t.$slots, "infoRight")
      ]),
      t.underline ? (c(), u("p", nl, _(t.underline), 1)) : y("", !0)
    ]));
  }
}), ol = { class: "bcc-info" }, ll = { class: "bcc-info-title" }, il = { class: "bcc-info-wrapper" }, sl = {
  key: 1,
  class: "truncate"
}, n0 = /* @__PURE__ */ T({
  __name: "BccInfo",
  props: {
    title: {},
    infoIcon: { type: Function },
    infoText: {}
  },
  setup(e) {
    return (t, r) => (c(), u("div", ol, [
      p("div", null, [
        p("h4", ll, _(t.title), 1),
        p("div", il, [
          t.infoIcon ? (c(), C(Y(t.infoIcon), {
            key: 0,
            class: "bcc-info-icon"
          })) : y("", !0),
          t.infoText ? (c(), u("p", sl, _(t.infoText), 1)) : y("", !0)
        ])
      ]),
      O(t.$slots, "infoRight")
    ]));
  }
}), cl = { class: "bcc-item-tile" }, ul = {
  key: 0,
  class: "bcc-item-tile-overline"
}, dl = { class: "bcc-item-tile-title" }, o0 = /* @__PURE__ */ T({
  __name: "BccItemTile",
  props: {
    title: {},
    overline: {}
  },
  setup(e) {
    return (t, r) => (c(), u("div", cl, [
      p("div", null, [
        t.overline ? (c(), u("p", ul, _(t.overline), 1)) : y("", !0),
        p("h2", dl, _(t.title), 1)
      ]),
      O(t.$slots, "default")
    ]));
  }
}), fl = { class: "bcc-link-item border-secondary group" }, pl = { class: "bcc-link-item-label" }, bl = { class: "bcc-link-item-arrow group-hover:pr-0" }, l0 = /* @__PURE__ */ T({
  __name: "BccLinkItem",
  setup(e) {
    return (t, r) => (c(), u("div", fl, [
      p("label", pl, [
        O(t.$slots, "default")
      ]),
      p("div", bl, [
        P(h(sa), { class: "bcc-link-item-icon" })
      ])
    ]));
  }
}), vl = { class: "bcc-stepper-container" }, ml = {
  key: 0,
  class: "bcc-stepper-header"
}, gl = { class: "bcc-stepper-current-step" }, hl = { class: "bcc-stepper-current-label" }, yl = { class: "bcc-stepper-indicators" }, i0 = /* @__PURE__ */ T({
  __name: "BccStepper",
  props: {
    currentStep: { default: 0 },
    steps: { default: () => [""] },
    additionalText: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = w(() => ({
      current: t.currentStep + 1,
      total: t.steps.length,
      currentStepLabel: t.steps[t.currentStep]
    }));
    return (a, n) => (c(), u("div", vl, [
      t.additionalText ? (c(), u("div", ml, [
        p("span", gl, "Step " + _(r.value.current) + " of " + _(r.value.total), 1),
        p("span", hl, _(r.value.currentStepLabel), 1)
      ])) : y("", !0),
      p("div", yl, [
        (c(!0), u(R, null, ae(t.steps, (o, l) => (c(), u("div", {
          key: l,
          class: "bcc-stepper-indicator-container"
        }, [
          p("div", {
            class: S(["bcc-stepper-indicator", {
              "bcc-stepper-indicator-active": l === t.currentStep,
              "bcc-stepper-indicator-inactive": l !== t.currentStep,
              "bcc-stepper-indicator-completed": l <= t.currentStep,
              "bcc-stepper-indicator-pending": l > t.currentStep
            }])
          }, null, 2)
        ]))), 128))
      ])
    ]));
  }
}), wl = { class: "bcc-tooltip" }, s0 = /* @__PURE__ */ T({
  __name: "BccTooltip",
  props: {
    primaryPosition: { default: "top" },
    secondaryPosition: { default: "center" },
    variant: { default: "dark" },
    visible: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = e, r = {
      dark: "bcc-tooltip-dark",
      white: "bcc-tooltip-white",
      grey: "bcc-tooltip-grey"
    }, a = {
      "top-left": "bcc-tooltip-top-left",
      "top-center": "bcc-tooltip-top-center",
      "top-right": "bcc-tooltip-top-right",
      "bottom-left": "bcc-tooltip-bottom-left",
      "bottom-center": "bcc-tooltip-bottom-center",
      "bottom-right": "bcc-tooltip-bottom-right"
    }, n = w(() => `${t.primaryPosition}-${t.secondaryPosition}`);
    return (o, l) => (c(), u("div", wl, [
      o.$slots.child ? O(o.$slots, "child", { key: 0 }) : y("", !0),
      p("div", {
        class: S([
          "bcc-tooltip-content",
          a[n.value],
          r[t.variant],
          { "bcc-tooltip-visible": t.visible }
        ])
      }, [
        O(o.$slots, "default")
      ], 2)
    ]));
  }
}), Tl = { class: "bcc-accordion" }, kl = { class: "bcc-accordion-title-wrap" }, xl = { class: "bcc-accordion-title" }, ql = {
  key: 0,
  class: "bcc-accordion-subtitle"
}, $l = { class: "bcc-accordion-right" }, _l = { class: "bcc-accordion-right-icon bcc-accordion-icon" }, Cl = {
  key: 0,
  class: "bcc-accordion-content"
}, c0 = /* @__PURE__ */ T({
  __name: "BccAccordion",
  props: {
    title: { default: "" },
    subtitle: { default: "" },
    variant: { default: "readonly" },
    size: { default: "base" },
    icon: { type: [String, Function], default: "" },
    badge: { default: void 0 },
    pin: { default: void 0 }
  },
  setup(e) {
    const t = {
      readonly: "bcc-accordion-readonly",
      brand: "bcc-accordion-brand",
      interactive: "bcc-accordion-interactive",
      desktop: "bcc-accordion-desktop"
    }, r = {
      base: "bcc-accordion-base",
      lg: "bcc-accordion-lg"
    }, a = q(!1);
    return (n, o) => (c(), u("div", Tl, [
      p("div", {
        class: S(["bcc-accordion-header", {
          "bcc-accordion-active": a.value,
          [t[n.variant]]: !0,
          [r[n.size]]: !0
        }]),
        onClick: o[0] || (o[0] = () => a.value = !a.value)
      }, [
        p("div", kl, [
          p("div", null, [
            O(n.$slots, "left")
          ]),
          p("div", null, [
            p("span", xl, _(n.title), 1),
            n.subtitle ? (c(), u("span", ql, _(n.subtitle), 1)) : y("", !0)
          ])
        ]),
        p("div", $l, [
          O(n.$slots, "action"),
          n.icon ? (c(), C(Y(n.icon), {
            key: 0,
            class: "bcc-accordion-right-icon bcc-accordion-icon"
          })) : y("", !0),
          n.badge ? (c(), C(h(Kt), le({
            key: 1,
            class: "bcc-accordion-right-icon"
          }, n.badge), {
            default: A(() => [
              Q(_(n.badge.text), 1)
            ]),
            _: 1
          }, 16)) : y("", !0),
          ge(P(h(vr), le({ class: "bcc-accordion-right-icon" }, n.pin), null, 16), [
            [Se, n.pin]
          ]),
          p("div", _l, [
            P(h(ba))
          ])
        ])
      ], 2),
      a.value ? (c(), u("div", Cl, [
        O(n.$slots, "default")
      ])) : y("", !0)
    ]));
  }
}), El = {
  key: 0,
  class: "bcc-pagination-rowsperpage-container"
}, Ll = /* @__PURE__ */ p("label", { class: "text-caption-sm" }, "Rows per page", -1), Bl = ["value"], Sl = { class: "text-caption-sm" }, Fl = { class: "bcc-pagination-button-container" }, Al = ["disabled"], Pl = ["onClick"], Dl = {
  key: 1,
  class: "bcc-pagination-elipsis"
}, Ol = ["disabled"], u0 = /* @__PURE__ */ T({
  __name: "BccPagination",
  props: {
    total: {},
    rowsPerPageOptions: { default: () => [5, 10, 25, 50] },
    rowsPerPage: { default: 5 },
    maxButtonsDisplayed: { default: 3 },
    displayLeftEllipsis: { type: Boolean, default: !0 },
    displayRightEllipsis: { type: Boolean, default: !0 },
    align: { default: "right" },
    displayRowsPerPage: { type: Boolean, default: !0 }
  },
  emits: ["update:currentPage", "update:totalPages", "update:rowsPerPage"],
  setup(e, { emit: t }) {
    const r = e, { total: a, maxButtonsDisplayed: n, rowsPerPage: o, displayRightEllipsis: l, displayLeftEllipsis: i } = Ge(r), s = q(1), d = q(o.value.toString()), f = w(() => parseInt(d.value)), b = w(() => Math.ceil(a.value / f.value)), v = w(() => n.value), k = w(() => s.value === 1), x = w(() => s.value === b.value), m = w(() => {
      let $ = [], F = Math.max(1, s.value - Math.floor(v.value / 2)), L = Math.min(b.value, s.value + Math.floor(v.value / 2));
      L - F < v.value && (F === 1 ? L = Math.min(b.value, F + v.value - 1) : L === b.value && (F = Math.max(1, L - v.value + 1))), F > 1 && i.value === !0 && ($.push(1), F > 2 && $.push("..."));
      for (let U = F; U <= L; U++)
        $.push(U);
      return L < b.value && l.value === !0 && (L < b.value - 1 && $.push("..."), $.push(b.value)), $;
    }), g = ($) => {
      $ !== "..." && (s.value = $);
    }, E = ($) => {
      s.value += $;
    };
    return G(() => {
      t("update:totalPages", b.value), t("update:rowsPerPage", f.value), t("update:currentPage", s.value);
    }), ($, F) => (c(), u("div", {
      class: S(["bcc-pagination", {
        "bcc-pagination-left": $.align === "left" && $.displayRowsPerPage === !0 || $.align === "right" && $.displayRowsPerPage === !1,
        "bcc-pagination-center": $.align === "center"
      }])
    }, [
      $.displayRowsPerPage === !0 ? (c(), u("div", El, [
        Ll,
        P(mo, {
          class: "bcc-pagination-rowsperpage",
          onChange: F[0] || (F[0] = (L) => g(1)),
          modelValue: d.value,
          "onUpdate:modelValue": F[1] || (F[1] = (L) => d.value = L),
          size: "sm"
        }, {
          default: A(() => [
            (c(!0), u(R, null, ae($.rowsPerPageOptions, (L, U) => (c(), u("option", {
              value: L,
              key: U
            }, _(L), 9, Bl))), 128))
          ]),
          _: 1
        }, 8, ["modelValue"]),
        p("label", Sl, "of " + _(b.value) + " entries", 1)
      ])) : y("", !0),
      p("div", Fl, [
        p("button", {
          onClick: F[2] || (F[2] = (L) => E(-1)),
          disabled: k.value,
          class: "bcc-pagination-button bcc-pagination-arrow-left"
        }, [
          P(h(la), { class: "bcc-pagination-button-icon" })
        ], 8, Al),
        (c(!0), u(R, null, ae(m.value, (L, U) => (c(), u("div", { key: U }, [
          L !== "..." ? (c(), u("button", {
            key: 0,
            onClick: (ne) => g(L),
            class: S(["bcc-pagination-button", {
              "bcc-pagination-button-selected": L === s.value
            }])
          }, _(L), 11, Pl)) : y("", !0),
          L === "..." ? (c(), u("span", Dl, _(L), 1)) : y("", !0)
        ]))), 128)),
        p("button", {
          onClick: F[3] || (F[3] = (L) => E(1)),
          disabled: x.value,
          class: "bcc-pagination-button bcc-pagination-arrow-right"
        }, [
          P(h(ca), { class: "bcc-pagination-button-icon" })
        ], 8, Ol)
      ])
    ], 2));
  }
});
export {
  c0 as BccAccordion,
  Il as BccAlert,
  Rl as BccAvatar,
  Kt as BccBadge,
  Xl as BccBanner,
  We as BccButton,
  jl as BccCapacityIndicator,
  Hl as BccCheckbox,
  Nl as BccCookieBanner,
  kt as BccFormLabel,
  Yt as BccFormMessage,
  r0 as BccGraphic,
  a0 as BccHeader,
  n0 as BccInfo,
  Zl as BccInput,
  o0 as BccItemTile,
  l0 as BccLinkItem,
  Vl as BccModal,
  u0 as BccPagination,
  vr as BccPin,
  e0 as BccProgress,
  Wl as BccRadio,
  t0 as BccReact,
  mo as BccSelect,
  Jl as BccSpinner,
  Gl as BccStatusIndicator,
  i0 as BccStepper,
  Kl as BccTable,
  Yl as BccTabs,
  Ql as BccToggle,
  s0 as BccTooltip,
  zl as bccForbundetTheme,
  Ul as tailwindPlugin,
  St as useAnimatedNumber
};
